co to jest kąt obrotu
Baza wyszukanych haseł
 
Cytat
Demokracja: mówisz, co chcesz, robisz, co ci każą. Geoffrey Berry
Indeks podatki PIT Podróże PL podpisy gif
 
  Witamy

Oglądasz wypowiedzi znalezione dla zapytania: co to jest kąt obrotu




Temat: który lepszy
Zdecydowanie ten :

http://www.komputronik.pl/Monitory_LCD/iiyama/19_/19_iiyama_ProLite_B1902S_black/pelny,id,47768/
KUNIEC
ponieważ posiada dodatkowo kąt obrotu 70 stopni, po 35 stopni prawo/lewo oraz normy jakościowe normy jakościowe TUV-GS i TUV Ergonomics.
Chyba ,że masz zamiar wieszać monitor na ścianie wtedy nr.1

Przeczytaj więcej wypowiedzi z wątku



Temat: kierownica
kupiłem sl 6693 sbk a spees linka ona ma kat obrotu 2590 stopni 125 w jedna strone i jak włanczan gre to w grze kierownica obraca sie max o 180 stopni 90 w jedna strone tzna w grze sie obraca i koła tak samo a reszta 35 stopni nie ma co robić tak samo z kalibracja krzyżyk dojdzie do końca a ja dopiero mam 180 stopni błagam pomocy Przeczytaj więcej wypowiedzi z wątku



Temat: Pomoc w wyborze kierownicy.

# Cechy produktu: System kontroli trakcji
# Kompatybilna z PS3/PS2/PSX/PC USB/Xbox
# Kąt obrotu 180 st.
# Programowalna, 4-kierunkowa skrzynia biegów i hamulec ręczny
# Programowalne, analogowe pedały (hamulec,gaz)
# Możliwość montażu na stole lub trzymania udami
# Sportowy charakter zestawu
# Wzmocniona obudowa
# 4 poziomy szybkości reakcji
# Wibracje

Przeczytaj więcej wypowiedzi z wątku



Temat: Po raz kolejny - tania kierownica z Force Feedback
Witam!
Jak juz pisałem chcę kupić kierownice do kompa. Teraz już trochę zagłębiłem się w temacie,i wiem czego chcę. Kupić chcę kierownice do komutera z Force Feedback, pedałami i kątem obrotu większym niż 180 stopni

w internecie znalazłem sporo tabel porównawczych, ale w żadnej nic nie ma o kącie obrotu koła kierownicy:(

http://sklep.benchmark.pl/komparator_399.html

PS. Bym zapomniał, na kierownice wydam max 190 zł Przeczytaj więcej wypowiedzi z wątku



Temat: Tania kierownica z Force Feedback
Witam!
Zamierzam sobie kupić kierownice do kompa z Force Feedback. Mam do wydania ok. 140 zł. Kierownica musi mieć pedały oraz kąt obrotu większy niż 180 stopni oraz manetki, ew, skrzynie biegów. Co polecacie?? i czy to prawda co tutaj napisał rzemyk o Force Feedback ???

http://lotnictwo.net.pl/viewtopic.php?p=93361 Przeczytaj więcej wypowiedzi z wątku



Temat: wentylator z CD i radiem !!!!
Przytoczę opis:

-5 pozycji przełączania : wyłączony/dmuchawa bez ogrzewania/, ciepły strumień
powietrza, bardzo ciepły strumień powietrza i gorący strumień powietrza
-Bezstopniowy termostat
-Odtwarzacz CD z ładowaniem od góry
-60 minutowy wyłącznik z funkcją automatycznego wyłączania
-Radio 2-pasmowe AM/FM
-Kąt obrotu mechanicznego 90 stopni,
-Ręcznie regulowany kąt pochylenia około 15 stopni
-Wielkość farelki to około 43 X 27 cm
-Moc grzałki 2000 watów

Jeżeli ktoś chce zobaczyć ten cud techniki to proszę

http://www.allegro.pl/show_item.php?item=44096663

Pozdr

Andrzej

Przeczytaj więcej wypowiedzi z wątku



Temat: Struktury
Witam

Czy struktury maja ograniczony rozmiar bo przy takiej strukturze:

ile_punktow     equ 16   ;ilosc obracanych punktow

tank_s struct
        xPos    dw      0       ;Liczba koryguj†ca wspolrzedna X
        yPos    dw      0       ;i wspolrzedna Y
        kat     dw      0       ;kat obrotu od pozycji poczatkowej
        color   db      0
        forward db  0
        backward db     0
        left    db      0
        right   db      0
        fire    db      0
        obrot   dw      ile_punktow dup(0,0)
        xMov    db  0
        yMov    db  0
        direction db 0
tank_s ends

wyrzuca mi blad out of memory. Pewnie ma to zwiazke z DTA.

Przeczytaj więcej wypowiedzi z wątku



Temat: Struktury
Pilar napisał(a):


Witam

Czy struktury maja ograniczony rozmiar bo przy takiej strukturze:

ile_punktow     equ 16   ;ilosc obracanych punktow

tank_s struct
    xPos    dw    0    ;Liczba korygujca wspolrzedna X
    yPos    dw    0    ;i wspolrzedna Y
    kat    dw    0    ;kat obrotu od pozycji poczatkowej
    color    db    0
    forward db  0
    backward db    0
    left    db    0
    right    db     0
    fire    db    0
    obrot     dw     ile_punktow dup(0,0)
    xMov    db  0
    yMov    db  0
    direction db 0
tank_s ends

wyrzuca mi blad out of memory. Pewnie ma to zwiazke z DTA.


 Jaki kompilator i wersja? Może pora rozpatrzyć przesiadkę na coś
nowocześniejszego?

Przeczytaj więcej wypowiedzi z wątku



Temat: obracanie mychą obiektu 3D


mamy sobie bryłę 3D zrobioną w 3Dmax...
chcę ją wrzucić do MX'a i obracać dowolnie, używając myszki...
jak to zrobić ?
jaki plik zaiportować/przerobić ?


sam kiedyś chcialem zrobic cos podobnego. Na plaszczyznie XY daje odpowiedz:

bryla._rotate = xx;            //  gdzie xx to kat obrotu :))

w pozostalych wymiarach nie udalo mi sie dojsc do jakis rezultatow :|

Przeczytaj więcej wypowiedzi z wątku



Temat: ActionScript+regulacja prĂŞdkoÂści obrotu


[as]
zm=10;

fastBtn.onPress = function(){
zm++;
}
slowBtn.onPress = function(){
zm--3;
}

_root.onEnterFrame = function(){
mc._rotation+=zm;
}
[/as]


Nie wydaje mi sie zeby ten skryp zmienial predkosc rotacji, jak na moje
oko to on tylko zmienia kat obrotu i sie w takiej pozycji zatrzymuje.

To jest moja propozycja

[as]
this.ElementObracajacySie._rotation = 0;

var KrokCzasowy:Number = 20;  //milisekud
var Obrot:Number =
setInterval(obracanie,KrokCzasowy,this.ElementObracajacySie);

function obracanie(mcMovieClip:MovieClip):Void {
        mcMovieClip._rotation += 5;
        if (mcMovieClip._rotation = 360) {
                mcMovieClip._rotation = 0;
        }
        updateAfterEvent();


}


this.Przyspiesz.onRealese = function():Void{
        KrokCzasowy += 20;


}


this.Zwolnij.onRealese = function():Void{
        KrokCzasowy -= 20;

}


[/as]

Oczywiscie w taki sposob mozesz kontrolowac predkosc rotacji zmieniajac
odstep czasowy obrotu lub kat obrotu, do wyboru do koloru.

Milej zabawy.

Pozdrawiam

Przeczytaj więcej wypowiedzi z wątku



Temat: ActionScript+regulacja prĂŞdkoÂści obrotu


nie za duzo kombinujesz ?


Nie.
Ale nie mowie tez ze jest to jedyne rozwiazanie.
Jak masz inny pomysl to zaproponuj rozwiazanie tego aspektu.

Tylko zuwaz ze moja propozycja rozwiazania daje duza mozliwosc kontroli
rotacji (krok czasowy obrotu i kat obrotu) i wszystko moze sie dziac
tylko w jednej klatce. Jak zauwazylem z wlasnego doswiadczenia
zastosowanie AS w animacji zamiast pracy na klatkach w niektorych
przypadkach zapobiega Antyaliasing'owi w przypadku malych fontow, takze
mozna nawet zaryzykowac rzucenie jakiegos tekstu na elemnt obracajacy sie.

Takze jeszcze raz: nie, nie wydaje mi sie cobym za bardzo kombinowal.

Pozdrawiam

Przeczytaj więcej wypowiedzi z wątku



Temat: ActionScript+regulacja prĂŞdkoÂści obrotu


no nie wiem.. skrypt Michala jest dobry.. jesli nie jestes pewien co do jego
dzialania to go skopiuj i wklej we flashu.. zadziala :)


Jego skrypt na pewno dziala. Ale zeby tu byla rotacja to musial bys
naciskac caly czas przycisk zeby byla rotacja. Chodzi mi o to ze Michal
nie zaproponowal petli tylko zmiane kata obrotu wokol osi tego elementu
i tyle.

Pozdrawiam

Przeczytaj więcej wypowiedzi z wątku



Temat: 360

| Jak obrucić obrazek fe flashu o 360 stopni ???

Wstaw keyframe przy 180" potemp ustaw nastepne keyframe przy np. 350" -
wtedy dopiero flash obroci ci calos a nie wroci z 180" do 0".


?????????????????????

Bez urazy - ale metoda zadziwiająca...?

Flash domyślnie ma ustawiony kierunek obrotu na auto - i stąd obraca element
po najkrótszej drodze.
Czyli:
1. jeżeli podałeś w transform "na zakładce" transform kąt 360s to otrzymasz
0st.
2. jeżeli podasz 359st to otrzymasz -1st. (co to oznacza, a mniej więcej
tyle, że (-1st) Tylko w którą stronę).

ustawienie kierunku masz w ustawieniach (panel) ramki (frame) i dalej
zakładce frame.
Klikasz na ostaniej ramce z twojej animacji i w w/w zakładce ustawiasz
parametr rotate na:
auto - jw
cw - clock wise - zgodnie z ruchem wskazówek zegara
ccw - odwrotnie

z boku masz jeszcze ustawienie ile razy element ma się w trakcie tej
animacji obrócić.
Jak widzisz (nawiasem mówiąc) przy obrocie o 360st, wcale nie jest Ci
potrzebne ustawianie kąta obrotu w transform.. itd.

Poeksperymentuj.

Pozdrowienia
R-bi

Przeczytaj więcej wypowiedzi z wątku



Temat: 360


Bez urazy - ale metoda zadziwiająca...?

Flash domyślnie ma ustawiony kierunek obrotu na auto - i stąd obraca
element
po najkrótszej drodze.
Czyli:
1. jeżeli podałeś w transform "na zakładce" transform kąt 360s to
otrzymasz
0st.
2. jeżeli podasz 359st to otrzymasz -1st. (co to oznacza, a mniej więcej
tyle, że (-1st) Tylko w którą stronę).

ustawienie kierunku masz w ustawieniach (panel) ramki (frame) i dalej
zakładce frame.
Klikasz na ostaniej ramce z twojej animacji i w w/w zakładce ustawiasz
parametr rotate na:
auto - jw
cw - clock wise - zgodnie z ruchem wskazówek zegara
ccw - odwrotnie

z boku masz jeszcze ustawienie ile razy element ma się w trakcie tej
animacji obrócić.
Jak widzisz (nawiasem mówiąc) przy obrocie o 360st, wcale nie jest Ci
potrzebne ustawianie kąta obrotu w transform.. itd.


No i czlowiek ciagle czegos sie uczy ;)
A metoda - no coz wziela mi sie z poruszania objektow po sciezce.

Pozdrawiam
Dan

Przeczytaj więcej wypowiedzi z wątku



Temat: 360


| Bez urazy - ale metoda zadziwiająca...?

| Flash domyślnie ma ustawiony kierunek obrotu na auto - i stąd obraca
element
| po najkrótszej drodze.
| Czyli:
| 1. jeżeli podałeś w transform "na zakładce" transform kąt 360s to
otrzymasz
| 0st.
| 2. jeżeli podasz 359st to otrzymasz -1st. (co to oznacza, a mniej więcej
| tyle, że (-1st) Tylko w którą stronę).

| ustawienie kierunku masz w ustawieniach (panel) ramki (frame) i dalej
| zakładce frame.
| Klikasz na ostaniej ramce z twojej animacji i w w/w zakładce ustawiasz
| parametr rotate na:
| auto - jw
| cw - clock wise - zgodnie z ruchem wskazówek zegara
| ccw - odwrotnie

| z boku masz jeszcze ustawienie ile razy element ma się w trakcie tej
| animacji obrócić.
| Jak widzisz (nawiasem mówiąc) przy obrocie o 360st, wcale nie jest Ci
| potrzebne ustawianie kąta obrotu w transform.. itd.


mi to jakoś nie działa albo nie umiem poustawiać:( , pozostanę przy
obracaniu AS...

Przeczytaj więcej wypowiedzi z wątku



Temat: Raport - Naglowki nie mieszcza sie w rzedzie.

Użytkownik Krzysztof Naworyta <k.nawor@datacomp.com.plw wiadomości do
grup dyskusyjnych napisał:9jse76$pl@news.onet.pl...

[---]

| W A'97 nie można obrócić etykiet - przynajmniej nie wprost.

| KN


Użytkownik "P. Lipski" <boc@bwsh.edu.plnapisał w
wiadomości <news:9k2voq$32i$1@news.tpi.pl...


Zgadza sie. Jedyne rozwiazanie, jakie mi przychodzi do glowy, jest dosc
"obrzydliwe" :)
Zrob sobie bitmapy z obroconymi tekstami i wstaw je do naglowka raportu.
A fuj...
Moze ktos zna lepszy sposob to niech sie wypowiada.
PL


Zajrzyj na strone:
http://www.mvps.org/access/api/api0050.htm
Jest tam sposob obracania tekstu o dowolny kat obrotu,
ale tez stosowane sa bitmapy.

Pozdrowienia
BraZby

Przeczytaj więcej wypowiedzi z wątku



Temat: Jak obrócić tekst w etykiecie?


Było, było, i rozwiązanie siedzi w API, "na surowo" się tekst obraca, o
ile
pamiętam.

PL


Na strone:
http://www.mvps.org/access/api/api0050.htm
jest przykład obracania tekstu o dowolny kąt obrotu,
ale w wyniku otrzymuje się bitmapy z obróconym tekstem.

Pozdrowienia
BraZby

Przeczytaj więcej wypowiedzi z wątku



Temat: Jak obrócić tekst w etykiecie?
[ciach]

Na strone:
http://www.mvps.org/access/api/api0050.htm
jest przykład obracania tekstu o dowolny kąt obrotu,
ale w wyniku otrzymuje się bitmapy z obróconym tekstem.


[ciach]
Heh, no pamiętam kiedyś sam zasugerowałem takie rozwiązanie (bez API,
normalnie w Paincie zrobić :))), to mnie któryś Grupowicz obśmiał. I
słusznie. Kto to widział wstawiać bitmapy jak powinno się dać normalnie, po
bożemu, ttfa jakiegoś obkręcić...

Pozdrawiam,
PL

Przeczytaj więcej wypowiedzi z wątku



Temat: label

"Tomasz Jaworski" <geron@poczta.fmwrote in message


[...]


w vfp7 tez niestety niema ... a jesli chodzi o bmp .. wlasnie tak ...robie
...
ale niestety ma to znaczny (objetosciowy) wplyw na execa.


Jeśli chcesz takie teksty wyświetlić tylko w oknie (a nie np. na raporcie),
to jest jeszcze jeden sposób: rysować przez API  - funkcje tworzące nową
czcionkę na podstawie istniejącej, zmiana rozmiaru, stylu i co
najważniejsze,
kąt obrotu. Działa, sprawdzałem.

Przeczytaj więcej wypowiedzi z wątku



Temat: label


Jeśli chcesz takie teksty wyświetlić tylko w oknie (a nie np. na raporcie),
to jest jeszcze jeden sposób: rysować przez API  - funkcje tworzące nową
czcionkę na podstawie istniejącej, zmiana rozmiaru, stylu i co
najważniejsze,
kąt obrotu. Działa, sprawdzałem.


rysowac przez Api? ... powiesz cos wiecej?

Przeczytaj więcej wypowiedzi z wątku



Temat: *.mnu MENU W AutoCad
Dnia Wed, 9 Feb 2005 09:37:39 +0000 (UTC), Tadeusz Wróbel napisał(a):


| Nie wiem natomiast jaką komendę wpisać w pliku acad.mnu aby odpowiedni
| przycisk wstawiał przypisany mu blok.
ID_BLOKI [&Bloki]
ID_BLOK_ROWER [-&rower]^C^C(terpri)(setq p1(getpoint "Wkaż punkt
wstawienia:"))(command "_insert" "c:/mapa - HI" p1 1 "" 0)


To może i ja się jeszcze dopytam. Trochę sprawdzałem w helpie, ale mam
wątpliwości.

terpri pozwala na stosowanie ścieżek dostępu do plików ?

command "_insert" "c:/mapa - HI" p1 1 "" 0

insert to wywołanie polecenia, dalej mamy sćieżkę dostępu i plik bez
rozszerzenia, punkt wstawienia p1 oraz skalę 1

Ale co to jest "" oraz 0 ? Jedno to na pewno kąt obrotu (zakładam, że 0).

I jeszcze jedno. W ten sposób wstawimy zawartość jednego pliku do drugiego.
Czyli jeżeli mam kilka bloków to musze mieć zapisane je w odrębnych
plikach. Ze względów logistycznych wolę mieć bloki w jednym pliku.
Logicznie rzecz biorąc potrzebna jest nazwa konkretnego bloku tak aby
wybrany został ten a nie inny. Gdzie ją wstawić w powyższej sekwencji?

Pozdrawiam,

Przeczytaj więcej wypowiedzi z wątku



Temat: *.mnu MENU W AutoCad
czy można inaczej zapisać aby polecenie moje, również pytało o kąt
obrotu bloku a wpisywało się go w stopniach (nie radianach) w lini
poleceń
i jak zrobić aby po wskazaniu punktu wstawienia myszką polecenie to
pytało o Kąt obrotu: w następnej linii ponieważ teraz pokazuje się tak:

Wskaż pkt wstawienia:Kąt obrotu:

ID_AKUMULATOR [&Akumualtory]^C^C(terpri)(setq p1 (getpoint "Wskaż pkt
wstawienia:") p2 (getangle "Kąt obrotu:"))(command "_insert" "c:/A" p1 1
"" (* 180 (/ p2 pi)))

-----
Wysłano za pośrednictwem WWW.CAD.PL (http://www.cad.pl)

Przeczytaj więcej wypowiedzi z wątku



Temat: *.mnu MENU W AutoCad
: czy można inaczej zapisać aby polecenie moje, również pytało o kąt
: obrotu bloku a wpisywało się go w stopniach (nie radianach) w lini
: poleceń
: i jak zrobić aby po wskazaniu punktu wstawienia myszką polecenie to
: pytało o Kąt obrotu: w następnej linii ponieważ teraz pokazuje się
tak:
: Wskaż pkt wstawienia:Kąt obrotu:
: ID_AKUMULATOR [&Akumualtory]^C^C(terpri)(setq p1 (getpoint "Wskaż pkt
: wstawienia:") p2 (getangle "Kąt obrotu:"))(command "_insert" "c:/A" p1
1
: "" (* 180 (/ p2 pi)))

(terpri)(setq p1 (getpoint "wskaż punkt wstawienia"))(terpri)(setq p2
(getangle "Kąt obrotu"))

albo prosciej (bo bez terpri wogóle):
(setq p1 (getpoint " Wskaż punkt: ") p2 (getangle " Kąt obrotu: " p1))

Nie przeliczaj p2 ze stopni na radiany wewnątrz (command ...) , bo
getangle już to robi !!

sparrow

powodzenia,
sparrow

-----
Wysłano za pośrednictwem WWW.CAD.PL (http://www.cad.pl)

Przeczytaj więcej wypowiedzi z wątku



Temat: *.mnu MENU W AutoCad

: albo prosciej (bo bez terpri wogóle):

głupi WWW.CAD.PL zinterpretował znaki sterujące LISPA zamiast je
wyświetlić :(((

Stringi po getpoint i getangle powinny się zaczynać znakiem odwrotnego
ukośnika " " i następującej bezposrednio po nim literki "n":

<pre
(setq p1 (getpoint " Wskaż punkt: ") p2 (getangle " Kąt obrotu: " p1))
</pre

sparrow

-----
Wysłano za pośrednictwem WWW.CAD.PL (http://www.cad.pl)

Przeczytaj więcej wypowiedzi z wątku



Temat: *.mnu MENU W AutoCad

: : ID_AKUMULATOR [&Akumualtory]^C^C(terpri)(setq p1 (getpoint "Wskaż
pkt
: : wstawienia:") p2 (getangle "Kąt obrotu:"))(command "_insert" "c:/A"
p1
: 1
: : "" (* 180 (/ p2 pi)))
: Nie przeliczaj p2 ze stopni na radiany wewnątrz (command ...) , bo
: getangle już to robi !!
: sparrow
: powodzenia,
: sparrow

Jeśli tego nie zrobię to zamiast blok obrócić mi o 90stopni to obraca o
2stopnie w przeciwnym kier obr wsk zegara lub 178 zgodnie z kier ruchu
wsk zegara

-----
Wysłano za pośrednictwem WWW.CAD.PL (http://www.cad.pl)

Przeczytaj więcej wypowiedzi z wątku



Temat: : Umieszczanie komórek


Michal Baranski <baranski.michal_NO_S@energoprojekt.com.plwrote:
Cóż, VBA i MDL to dwa różne światy.

1. odczytujemy nazwę aktywnej celki
2. odczytujemy definicję celki
3. odczytujemy z systemu aktywne parametry (skala,kolor,warstwa,styl,
itd)
4. Piszemy własną procedurę wstawiania celki, mamy pełną kontrolę jak
jest wstawiane
    a. użytkownik określa punkt wstawienia
    b. w zależności od drugiego punktu określamy kąt obrotu, gdy
RESET to powrót do a.
    c. wstawiamy celkę uwzględniając lub nie parametry systemu
    d. powrót do a.

co do punktu 1 i 2 to możemy być tam własna procedura tworząca celkę
w MDL-u jest możliwość dynamicznego pokazywania elementu wstawianego,
co do VBA pewnie też

Nie przytaczam kodu, bo nic nie pomoże


Dzieki, wlasnie o to chodzilo,
PS. W VBA rzeczywiscie jest mozliwosc dynamicznego pokazywania obiektu.

Przeczytaj więcej wypowiedzi z wątku



Temat: [lip-początki: sprawdzenie istnienia bloku na rysunku...?
: : rzeczywiście entmake nie za bardzo nadaje się do wstawiania bloków z
: : atrybutami
: Nie zgadzam się z tym stwierdzeniem.
A ja spróbuję to wypośrodkować:
User nie powiedział że się "nie nadaje", tylko że "nie za bardzo się
nadaje". Zgadza się, że można to zrobić entmake'm. Tak jak podałeś. Przy
1-3 atrybutach jest to stosunkowo mało skomplikowane. Weźmy jednak
przypadek bloku składającego się np. z 25 atrybutów, z różnymi stylami
tekstów, sposobem justowania, różnych kolorach, kątach itp.
Skonstruowanie uniwersalnej funkcji opierającej się na entmake'u
wstawiającej dowolny blok z atrybutami, (choć możliwe) będzie na tyle
jednak skomplikowane, że jednak nie warte chyba zachodu.
Funkcja taka musiałaby uwzględniać:
1) dla bloku (standard): nazwę, warstwę, współczynniki skali, punkt
wstawienia, kąt obrotu, kolor.
2) pobraną z definicji bloku - listę atrybutów (dla kazdego styl, kolor,
just, punkt wstawienia (względem bazy bloku), obrot, pochylenie,
warstwe, etc.
Poniewaz dla pkt 2) dla poprawnego wstawienia atrybutów nalezałoby
przeliczac punkty (wstawienia i dopasowania atrybutu) uwzgledniajac
skale i kat obrotu calego bloku, nie jest to takie proste.
Podsumowujac - zgadzam sie z Userem że entmake "nie za bardzo" się
nadaje do tego typu operacji. Znacznie prosciej jest wstawic blok z
atrybutami, tak jak jest on "ustawiony" w definicji bloku, np
wykorzystujac ActiveX.

kojacek (http://republika.pl/kojacek)

-----
Wysłano za pośrednictwem WWW.CAD.PL (http://www.cad.pl)

Przeczytaj więcej wypowiedzi z wątku



Temat: [lip-początki: sprawdzenie istnienia bloku na rysunku...?
Zgadzam się z tym, że to co zaproponowałem, jest kłopotliwe do
zastosowania z względów przez Ciebie wymieniownych:


Funkcja taka musiałaby uwzględniać:
1) dla bloku (standard): nazwę, warstwę, współczynniki skali, punkt
wstawienia, kąt obrotu, kolor.
2) pobraną z definicji bloku - listę atrybutów (dla kazdego styl,
kolor,
just, punkt wstawienia (względem bazy bloku), obrot, pochylenie,
warstwe, etc.


które przemawiają za tym, że faktycznie " (entmake) raczej się nie
nadaje.. itd' (rzeczywiście nie rzuciło mi się w oczy to ..raczej..).
Jako okoliczność łagodzącą chciałbym wymienić to, że większość z tych
parametrów chciałem po prostu w opisywanej hipotetycznie funkcji
przepisać z bazy, chociaż oczywiście zdawałem sobie sprawę, że niektóre
parametry trzeba by policzyć (na razie nie zastanawiałem się nad tym
dokładnie, ale duży problem widzę np z wymienionymi przez Ciebie
punktami związanymi z justowaniem). A jak się dołoży do tego jeszcze
skalowanie i obrót, to wtedy taka funkcja się rozrasta i cała zabawa
staje się być może nieopłacalna.
Ale jak ktoś by był masochistą, to zapewne by sobie i z tym poradził.

Pozdrowienia
Marek

-----
Wysłano za pośrednictwem WWW.CAD.PL (http://www.cad.pl)

Przeczytaj więcej wypowiedzi z wątku



Temat: obrocone wymiary w Acad (2008 ale starsze tez)


| W jakis sposob wymiary zapamietuja uklad w ktorym zostaly narysowane
| i za diabla nie chca sie dostosowac do nowego, szukam czegos co "hurtem
| odswiezy" im te ustawienia
| I to właśnie można zmienić tylko przy pomocy lispa:
A to zadziala  w angielskim Acad 2008? Bo probuje i nie chce dzialac tz.
pyta "Podaj kąt poziomu dla wymiarów: " a potem nic...
Zz


u mnie działa w angielskim
wpisuje ptw, wybieram wymiary z ucsem do obrócenia wpisują kąt obrotu ucsa,
enter i jest.
Zwróć uwagę, że przy pewnych katach obracania przy pewnych ułożeniach
wymiarów, tekst wymiaru pozostanie bez zmian.

Przeczytaj więcej wypowiedzi z wątku



Temat: UCS a InserBlock
: OK DZIĘKI właśnie brakowało mi tego, że 210 to położenie w przestrzeni
: (tylko martwi mnie to, że jeżeli jest to położenie w przestrzeni to
: wstawiając blok w pkt 0 0 0 po utworzeniu DXF kod 210 miał zapis 0.0
0.0
: 1.0 - do pobrania bloku używam entlast ostatnio wstaiony obiekt), ale
: potestuję jescze ustawiają w 210 odpowiednie współrzędne
O, trochę namotałem - określenie "położenie w przestrzeni" to taki skrót
myślowy - w rzeczywistości jest to wektor określający kierunek
pogrubiania, (kierunek osi Z). Położenie w przestrzeni określone jest
przez 3 składowe (dla bloku): 10 - punkt wstawienia + 210 - kierunek
pogrubiania + kąt obrotu
Oczywiście potestuj kod 210 - zobaczysz obroty bloku (oczywiście punkt
(kod 10) - będzie bez zmian.

: mam jeszcze pytanko znalazłem funkcję nentsel , co lepiej używać
entsel czy
: nentsel
: (setq e (entget (car (entsel))))
: (setq e (entget (car (nentsel))))

entsel - wybiera element główny (linia, blok, etc.)
nentsel - wybiera element podrzedny (zagniezdzony) np. element w bloku
czy vertex polilinii

pozdr. kojacek

-----
Wysłano za pośrednictwem WWW.CAD.PL (http://www.cad.pl)
Książka o AutoCAD-zie 2004: http://cad.pl/url29I~ac24pk

Przeczytaj więcej wypowiedzi z wątku



Temat: UCS a InserBlock


: OK DZIĘKI właśnie brakowało mi tego, że 210 to położenie w przestrzeni
: (tylko martwi mnie to, że jeżeli jest to położenie w przestrzeni to
: wstawiając blok w pkt 0 0 0 po utworzeniu DXF kod 210 miał zapis 0.0
0.0
: 1.0 - do pobrania bloku używam entlast ostatnio wstaiony obiekt), ale
: potestuję jescze ustawiają w 210 odpowiednie współrzędne
O, trochę namotałem - określenie "położenie w przestrzeni" to taki skrót
myślowy - w rzeczywistości jest to wektor określający kierunek
pogrubiania, (kierunek osi Z). Położenie w przestrzeni określone jest
przez 3 składowe (dla bloku): 10 - punkt wstawienia + 210 - kierunek
pogrubiania + kąt obrotu
Oczywiście potestuj kod 210 - zobaczysz obroty bloku (oczywiście punkt
(kod 10) - będzie bez zmian.

: mam jeszcze pytanko znalazłem funkcję nentsel , co lepiej używać
entsel czy
: nentsel
: (setq e (entget (car (entsel))))
: (setq e (entget (car (nentsel))))

entsel - wybiera element główny (linia, blok, etc.)
nentsel - wybiera element podrzedny (zagniezdzony) np. element w bloku
czy vertex polilinii


OK dzięki jutro dam znać co z tego wszystkiego wyszło :)

pozdrawiam

Przeczytaj więcej wypowiedzi z wątku



Temat: obrot atrybutow zalezn od ucs
czy jest jakas zmienna ktora okresla kat obrotu "atrybutow" np w tabelkach z
architekturala czy textach pisanych dieslem
mam taki problem wszystkie tabelki jezeli ucs "world" nie jest "current" a
tabelka oczywiscie jest w stawiona w innym to text jest poobracany nie do
tabelki jezeli zmienie ucs do world i zregeneruje rysunek ext pasuje. to
samo dzieje sie jak wstawiam text w leyautach w paper space jesli w modelu
nie jest ucs-world to text jest poobracany

pomorzcie jest to uciazliwe, przy wydrukach czasami zapominam przejsc do ucs
world w modelu i wydruk wychodzi schrzaniony

pozdrawiam

das

Przeczytaj więcej wypowiedzi z wątku



Temat: obrot atrybutow zalezn od ucs
mozna wyedytowac klawisz plot i dodać tam po "cancelach" a przed
poleceniem plot zapis
_ucs;w;

nie mam pod ręką autocada ale powinno działać :)

: czy jest jakas zmienna ktora okresla kat obrotu "atrybutow" np w
tabelkach z
: architekturala czy textach pisanych dieslem
: mam taki problem wszystkie tabelki jezeli ucs "world" nie jest
"current" a
: tabelka oczywiscie jest w stawiona w innym to text jest poobracany nie
do
: tabelki jezeli zmienie ucs do world i zregeneruje rysunek ext pasuje.
to
: samo dzieje sie jak wstawiam text w leyautach w paper space jesli w
modelu
: nie jest ucs-world to text jest poobracany
: pomorzcie jest to uciazliwe, przy wydrukach czasami zapominam przejsc
do ucs
: world w modelu i wydruk wychodzi schrzaniony
: pozdrawiam
: das

-----
Wysłano za pośrednictwem WWW.CAD.PL (http://www.cad.pl)
Książka o systemie CATIA: http://cad.pl/url29I~catmpc

Przeczytaj więcej wypowiedzi z wątku



Temat: [ACAD VBA]
Wysłane przez Rysio29, 20-kwi-2004, 11:17:56:

: Czy istnieje jakis sposob na to, zeby wybrac na ekranie wszystkie
bloki
: i ustalic kat obrotu atrybutow na 0 ?

Rozwiązanie w LISPie - http://www.sparrow.cad.pl/LISP/att_rot0.lsp

W VBA też się *napewno* istnieje jakiś sposób :)

pozdrawiam,
sparrow

-----
Wysłano za pośrednictwem WWW.CAD.PL (http://www.cad.pl)
Książka o AutoCAD-zie 2004: http://cad.pl/url29I~ac24pk

Przeczytaj więcej wypowiedzi z wątku



Temat: [ACAD VBA]


Czy istnieje jakis sposob na to, zeby wybrac na ekranie wszystkie bloki i
ustalic kat obrotu atrybutow na 0 ?


Istnieje:

AcadSelectionSet.SelectOnScreen() + F1
AcadBlockReference.GetAttributes() + F1
AcadAttributeReference.Rotation + F1

pozdrawiam
Kuba Szostak

Przeczytaj więcej wypowiedzi z wątku



Temat: Edycja w MD Power Pack
Hej :-)
Mam problem z edycja utworzonej czesci za pomoca Shaft Generatora.
W pomocy podane jest, ze wystarczy wybrac z niego Edit i wskazac dana
sekcje. Powinno sie uruchomic okno w ktorym mozna zmienic parametry cechy. U
mnie niestety pokazuje sie tylko zwykle okno do tworzenia bryly, w ktorym
moge co najwyzej zmienic wielkosc wyciagniecia lub ew. kat obrotu. Nie
pokazuje sie okno za pomoca ktorego utworzona zostala dana cecha.
Jesli utworze np. kolo zebate to jego edycja moze polegac jedynie na
skasowaniu starego i wstawieniu na jego miejsce nowego o zmienionych
parametrach.
Ktos wie o co tu chodzi ?
Tomek
Przeczytaj więcej wypowiedzi z wątku



Temat: Edycja w MD Power Pack
Jest mała różnica w tym co napisałeś i co rzeczywiście zrobiłeś. Napisałeś
"utworzyłem część" a powinieneś napisać "przywołałem z biblioteki ". I z tym
są związane konsekwencje: Jak UTWORZYSZ SAM to masz całąhistorię tworzenia
części do edycji. Jak przywołałeś to masz to co Inni UDOSTęPNILI dla
przywołijących i nic więcej.
Użytkownik Tomek <bo@student.mech.pk.edu.plw wiadomości do grup
dyskusyjnych napisał:38d54@news.vogel.pl...

Hej :-)
Mam problem z edycja utworzonej czesci za pomoca Shaft Generatora.
W pomocy podane jest, ze wystarczy wybrac z niego Edit i wskazac dana
sekcje. Powinno sie uruchomic okno w ktorym mozna zmienic parametry cechy.
U
mnie niestety pokazuje sie tylko zwykle okno do tworzenia bryly, w ktorym
moge co najwyzej zmienic wielkosc wyciagniecia lub ew. kat obrotu. Nie
pokazuje sie okno za pomoca ktorego utworzona zostala dana cecha.
Jesli utworze np. kolo zebate to jego edycja moze polegac jedynie na
skasowaniu starego i wstawieniu na jego miejsce nowego o zmienionych
parametrach.
Ktos wie o co tu chodzi ?
Tomek


Przeczytaj więcej wypowiedzi z wątku



Temat: Uklad wspolrzednych
hejka!
najlepiej wykorzystać zmienne systemowe AutoCADa i
funkcję getvar
spis wszystkich zmiennych znajdziesz w pomocy
programu
normalnie wystarczą dwie zmienne:
UCSORG - przechowująca początek aktualnego LUW
UCSXDIR - przechowuje kierunek X aktualnego LUW
          (jako punkt!!!)
jeśli chcesz przypisać punkt początkowy LUW do zmiennej
użyj:
 (setq ZMIENNA#1 (getvar "ucsorg"))
dla określenia kąta obrotu LUW musisz użyć:
 (setq ZMIENNA#2 (angle (list 0 0 0) (getvar "ucsxdir")))

pozdr AG

Przeczytaj więcej wypowiedzi z wątku



Temat: sciany w aechicadzie
Nie da sie....
Musisz wymodzic taka sciane albo za pomoca dachow albo zrobic sobie taka
sciane normalnie, powstawiac wszystkie otwory, itp i zapisac ja jako obiekt
biblioteczny (aksonometria - widok z gory - zachowaj jako - obiekt archicada
(*.gsm)). Potem musisz tylko otworzyc jego skrypt 3d i wstawic na poczatku
polecenie ROT i kat obrotu - przy wyborze tej metody poczytaj o obracaniu w
podreczniku GDL'a
Pozdro,
Bartek


czy w ArchiCAD 6.5 PL da sie uzyskac
sciany nieprostopadle do podstawy ??
czy nalezy do tego uzyc ikony:
[Ustawienie Powierzchni] w trybie 3D??
probuje i probuje i zawsze wstawia mi
prostopadle....czy da sie to zrobic
z elem.bibliotecznymi..?? no i czy da sie
pozaniej sciane/el.biblioteczny obrocic
na osi rownoleglej do podstawy?

ZOMO
PS mam pelna dokumentacje w PDF-ach
ale nie znalazlem tam tego....


Przeczytaj więcej wypowiedzi z wątku



Temat: sciany w aechicadzie
jest tez inna metoda:
ale do tego jest potrzebny plugin wall accesories.
plugin ten może utworzyć element biblioteczny na bazie ściany (z
uwzględnieniem otworów - otworów nie okien ) który w jednej z opcji ma
pochyłą ścianę.

Koala

Użytkownik Bartek <ba@poczta.onet.plw wiadomości do grup dyskusyjnych
napisał:9jefnn$44@news.tpi.pl...

Nie da sie....
Musisz wymodzic taka sciane albo za pomoca dachow albo zrobic sobie taka
sciane normalnie, powstawiac wszystkie otwory, itp i zapisac ja jako
obiekt
biblioteczny (aksonometria - widok z gory - zachowaj jako - obiekt
archicada
(*.gsm)). Potem musisz tylko otworzyc jego skrypt 3d i wstawic na poczatku
polecenie ROT i kat obrotu - przy wyborze tej metody poczytaj o obracaniu
w
podreczniku GDL'a
Pozdro,
Bartek


Przeczytaj więcej wypowiedzi z wątku



Temat: Obracanie bloków - tekst
Reaktor jest obiektem dołączonym do rysunku lub obiektu rysunkowego.
Działanie reaktora polega na automatycznym wyzwoleniu pewnego działania
na wskutek jakiegoś zdarzenia. W Twoim przypadku zakładając że blok
składa się z linii i umieszczonego na przedłużeniu tej linii atrybutu,
można oprogramować takie zdarzenia: wstawienie (polecenie INSERT) bloku
o okreslonej nazwie i obrót (polecenie ROTATE) takiego bloku. Reakcją
(na zakończenie) tych poleceń byłaby zmiana orientacji atrybutu (np.
zawsze poziomo) niezależnie od kąta obrotu bloku.
zob. np. help -Ćwiczenia AutoLISP (nieśmiertelna ścieżka ogrodowa)
kojacek (http://republika.pl/kojacek)

: poprzez reaktory da się to uzyskać pod warunkiem zastosowania
atrybutów
: Mam pytanko co to są reaktory, chodzi mi o to że potrzebuje aby ta
opcja
: uruchamiala sie automatycznie ( edytowanie 100 bloków mija sie z celem
: szybciej mozna stworzyć 4 bloki kazdy przekrecony w inna strone)
: Pozdrawiam

-----
Wysłano za pośrednictwem WWW.CAD.PL (http://www.cad.pl)

Przeczytaj więcej wypowiedzi z wątku



Temat: Jaki key-in?
Chodzi o to wstawianie "interaktywne" key-in'em, które tu kiedyś omawialiśmy???
I rozumiem, że chcesz kąt obrotu ustalić dla pierwszej celki i później powtarzać dla następnych?

Jeśli tak, to lepsze by było makro.

Jeśli upierasz się przy wpisaniu, to zastosuj takie:

active angle pt2;%d;%d;rc=[nazwa_biblioteki];ac=[nazwa_komórki];as=1

active angle pt2;%d;%d - pozwoli Ci ustawić aktywny kąt na podstawie 2ch punktów

rc=[nazwa_biblioteki] - podłączy bibliotekę komórek (jeżeli dane ciągniesz z kilku), jeżeli komórki będą z jednej biblioteki, możesz
tego nie stosować, ale zadbaj by potrzebna biblioteka była na stałe podłączona dla danego pliku DGN.

ac=[nazwa_komórki] - wybierze odpowiednią komórkę z biblioteki

as=1 - ustali aktywną skalę dla komórek na 1

i teraz możesz wstawiać celki aż do wciśnięcia [RESET].

Oczywiście [nazwa_biblioteki] i [nazwa_komórki] zastąp prawdziwymi danymi (bez "[" i "]").

Jeżeli wolisz kąt zdefiniować wg 3 punktów, to zmodyfikuj polecenie:

active angle pt3;%d;%d;%d;rc=[nazwa_biblioteki];ac=[nazwa_komórki];as=1

Pozdrawiam
Krzysiek

"Umiar" <syri@student.uci.agh.edu.plwrote in message  Jest tak: mam przycisk, w nim wpisanie ktore wstawia celke ze skala 1,
mozliwy jest jedynie obrot. Chce by po wstawieniiu jej uzytkownik mial
mozliwosc wstawiania dalej,  nastepnej celki,  w ten sam sposob czyli jakby
powtorzyc to polecenie.


Przeczytaj więcej wypowiedzi z wątku



Temat: Jaki key-in?


Krzysztof Trzaskulski <k.trzaskulski[usuń_to]@bentley.com.plwrote:
Chodzi o to wstawianie "interaktywne" key-in'em, które tu kiedyś
omawialiśmy???
I rozumiem, że chcesz kąt obrotu ustalić dla pierwszej celki i
później powtarzać dla następnych?

Jeśli tak, to lepsze by było makro.

Jeśli upierasz się przy wpisaniu, to zastosuj takie:

active angle pt2;%d;%d;rc=[nazwa_biblioteki];ac=[nazwa_komórki];as=1

active angle pt2;%d;%d - pozwoli Ci ustawić aktywny kąt na podstawie
2ch punktów

rc=[nazwa_biblioteki] - podłączy bibliotekę komórek (jeżeli dane
ciągniesz z kilku), jeżeli komórki będą z jednej biblioteki, możesz
tego nie stosować, ale zadbaj by potrzebna biblioteka była na stałe
podłączona dla danego pliku DGN.

ac=[nazwa_komórki] - wybierze odpowiednią komórkę z biblioteki

as=1 - ustali aktywną skalę dla komórek na 1

i teraz możesz wstawiać celki aż do wciśnięcia [RESET].

Oczywiście [nazwa_biblioteki] i [nazwa_komórki] zastąp prawdziwymi
danymi (bez "[" i "]").

Jeżeli wolisz kąt zdefiniować wg 3 punktów, to zmodyfikuj polecenie:

active angle
pt3;%d;%d;%d;rc=[nazwa_biblioteki];ac=[nazwa_komórki];as=1

Pozdrawiam
Krzysiek


WOW, to jest to!!! Nie ma to jak kompetentny czlowiek we wlasciwym miejscu.
Wlasnie dokladnie o to chodzilo. Bentley na prawde dba o swoich klientow.
Dzieki za pomoc,

Przeczytaj więcej wypowiedzi z wątku



Temat: wyswietlanie obiektów podczas np. obrotu
mam pytanie (dotyczy Acad 2000) nie wiem co sie stalo do wczoraj np. przy
obracaniu obiektow mialem podglad na ten obiekt czyli widzialem w ktora
strone sie obraca i mozna bylo dopasowac kat obrotu do jakieś innego obiektu
bez podawania konkretnego kąta.

moje pytanie : czy istnieje jakas zmienna ktora steruje wyswietlaniem
obiektow np. podczas wykonywania polecenia obrotu.

Za pomoc dzieki.

Przeczytaj więcej wypowiedzi z wątku



Temat: wyswietlanie obiektów podczas np. obrotu
DRAGMODE 2

mam pytanie (dotyczy Acad 2000) nie wiem co sie stalo do wczoraj np. przy
obracaniu obiektow mialem podglad na ten obiekt czyli widzialem w ktora
strone sie obraca i mozna bylo dopasowac kat obrotu do jakieś innego
obiektu
bez podawania konkretnego kąta.

moje pytanie : czy istnieje jakas zmienna ktora steruje wyswietlaniem
obiektow np. podczas wykonywania polecenia obrotu.

Za pomoc dzieki.

--
Pozdrowienia
Deniro

deni@poczta.onet.pl


Przeczytaj więcej wypowiedzi z wątku



Temat: Polecenie
Witam

Jest sobie takie polecenie w AC2008:
^C^Cskala_r;(command "_insert" "c:/acad_mnu/profile/nazwa" pause skala skala 0)

Funkcja skala_r:
(defun c:skala_r()              
   (setq wysokosc (getvar "DIMTXT"))
   (setq skala_glob (getvar "DIMSCALE"))
   (setq skala (* (/ wysokosc 30) skala_glob))
)

Efekt działania:
Polecenie: skala_r
1.0

Polecenie:
Polecenie: (command "_insert" "c:/acad_mnu/profile/nazwa" pause skala skala 0)
_insert Podaj nazwę bloku lub [?] <nazwa: c:/acad_mnu/profile/nazwa
Jednostki: Bez jednostek   Konwersja:     &#2099;&#31889;&#28608;;&#4612;
Określ punkt wstawienia lub [punkt Bazowy/Skala/X/Y/Z/Obrót]:
Podaj współczynnik skali X, określ przeciwległy narożnik lub [Narożnik/XYZ]
<1: 1.000000000000000 Podaj współczynnik skali Y lub <użyj współczynnika skali
X: 1.000000000000000
Określ kąt obrotu <0: 0
Podaj wartości atrybutów
Nazwa: nil
Nazwa: cośtam
Skala: cośtam

Moje pytania są następujące:
1.skąd się bierze ten 'nil' , czego brakuje w treści polecenia?
2.w linii z jednostkami: konwersja i znaki zapytania (u mnie są czarne kwadraty)
skąd się biorą?

Jest to kawałek menu z 'czternastki'.

Pozdrawiam C

Przeczytaj więcej wypowiedzi z wątku



Temat: przycisk wstawiający blok w Acadzie 2000i LT
Chyba najprościej przypisać do guzika ciąg w środku cudzysłowów:

"^C^C_-insert;NAZWA_BLOKU;1;1;"

Wstawia blok NAZWA_BLOKU, pyta o pkt wstawienia i kąt obrotu.
Uwaga! nie ma tam żadnych spacji!
Pozdrowienia
ZB

-----
Wysłano za pośrednictwem WWW.CAD.PL (http://www.cad.pl)
Nowa książka o Inventorze: http://cad.pl/url29I~invepr

Przeczytaj więcej wypowiedzi z wątku



Temat: macierz kamery a wspolrzedne kamery :)
On Tue, 16 May 2000 22:45:12 GMT, "impexus/platoon"


<impe@kki.net.pl.NOSPAMwrote:
cz,

macie jakis txt o przeliczaniu wspolrzednych kamerki (x,y,z) wraz z punktem,
na ktory jest skierowana (sx,sy,sz) na macierz do mnozenia przez obiekty
wszelakie ? musze dokodowac do engine'u omena a wyprowadzic tego sam nie
jestem niestety w stanie :(


za malo danych. musisz miec jeszcze bank (roll) --kat obrotu wokol
osi 'patrzenia' kamery.
tworzysz sobie wektor patrzenia (target - at) -to jest jedna os
ukladu. dwie pozostale tworzysz na zasadzie zeby bylo ortogonalne i na
koncu obracasz wszystko o ten wspomniany kat... tak to pamietam, ale
glowy nie dam bo kodowalem to juz straszny szmat czasu temu. w kazdym
razie trudne nie jest i wyprowadzic da sie w miare latwo (aha, byc
moze trzeba bedzie potem ta macierz jeszcze obrocic, bo moze nam wyjsc
kamera -swiat a nie swiat -kamera).

Przeczytaj więcej wypowiedzi z wątku



Temat: Quaterniony


On Sun, 23 Mar 2003 19:47:52 +0100, Poison64 wrote:
Czesc,
[..]
   i tu jest moje pytanko, przeczytalem, ze w quaternionach
   tak po krotce chodzi o to, ze nie robie 3x glRotate tak
   zeby obrocic wokol kazdej osi x,y,z. tylko robie to za
   pomoca jednego quaterniona ktory buduje mi macierz, ktora
   pozniej wrzucam na modelview_matrix za pomoco glMultMatrix.
   no wiec chcialbym obrocic sobie jakis objekt o np. takie katy
      wokol osi x: 45 stopni
      wokol osi y: 90 stopni
      wokol osi z: 15 stopni
   i za bardzo nie widze jak to mozna zrobic przy uzyciu jednego
   quaterniona, skoro jedyne co moge podac to os wokol jakiej
   obracam, oraz kat obrotu. Bo rozumiem ze axisem podaje tylko i
   wylacznie kierunek, ktory jezeli bedzie 1 to i tak zostanie
   znormalizowany.
   jedyne co mi przyszlo do glowy to zrobienie trzech quaternionow,
   i do kazdego podac po kolei
      Quat 1: x = 1; y = 0; z = 0; angle = 45
      Quat 2: x = 0; y = 1; z = 0; angle = 90
      Quat 3: x = 0; y = 0; z = 1; angle = 15
   ale to sie chyba mija z celem :)


Nie mija sie. Zrob tak, przemnoz te kwaterniony i rezultat skonwertuj do
macierzy. Alternatywnie moglbys probowac znalezc os/kat, ktora to para da
Ci analogiczne przeksztalcenie.

Przeczytaj więcej wypowiedzi z wątku



Temat: -predkosc efektu na roznych komputerach


napisalem prosty efekt w oglu-obracajacy sie teksturowany szescian. po
przetestowaniu go na roznych kompach zauwazylem, ze szescian w zaleznosci
od
mocy procesora obraca sie w roznym tempie. czy istnieje jakis sposob, aby
szescian obracal sie z jednakowa prekoscia na roznych komputerach???


Po kazdej ramce sprawdz ile uplynelo czasu od poprzedniej (np przez funkcje
timeGetTime()), a nastepnie kat obrotu uzaleznij od tego czasu. Efekt bedzie
taki ze na szybszych komputerach kat bedzie maly, za to rysowanie klatek
bedzie czestsze, a na wolniejszych kat bedzie duzy a rysowanie rzadkie.

pozdrawiam,
Benji

Przeczytaj więcej wypowiedzi z wątku



Temat: -predkosc efektu na roznych komputerach


Po kazdej ramce sprawdz ile uplynelo czasu od poprzedniej (np przez funkcje
timeGetTime()), a nastepnie kat obrotu uzaleznij od tego czasu. Efekt bedzie
taki ze na szybszych komputerach kat bedzie maly, za to rysowanie klatek
bedzie czestsze, a na wolniejszych kat bedzie duzy a rysowanie rzadkie.

pozdrawiam,
Benji


dzieki, posiadasz moze konkretny przyklad w C++?

Przeczytaj więcej wypowiedzi z wątku



Temat: -predkosc efektu na roznych komputerach


| Po kazdej ramce sprawdz ile uplynelo czasu od poprzedniej (np przez
funkcje
| timeGetTime()), a nastepnie kat obrotu uzaleznij od tego czasu. Efekt
bedzie
| taki ze na szybszych komputerach kat bedzie maly, za to rysowanie klatek
| bedzie czestsze, a na wolniejszych kat bedzie duzy a rysowanie rzadkie.

| pozdrawiam,
| Benji

dzieki, posiadasz moze konkretny przyklad w C++?


nie chce byc nieprzyjemny ale jezeli nie umiesz tego zrobic samemu to
zacznij od nauki jezyka a potem opengla.....szczegolnie ze piszesz o C++ w
ogole a nie C....nie pisze tego zeby byc wrednym tylko dziele sie wlasnym
doswiadczeniem - WARTO zainwestowac wczesniej w nauke samego jezyka.

pozdrawiam,
epsylon/abs.org

Przeczytaj więcej wypowiedzi z wątku



Temat: problem z 3DS
In article <910A9C8C4bikikillerradom@195.117.184.19, b@viper.pl
says...

o quaterniony   tam masz zapis os-kat obrotu
i musisz to sobie na quaternionach liczyc/interpolowac


Poszukaj tutoriali o kwaternionach i 3D Studio (dobry jest np. ten
Digisnapa, poza tym byl text Omena/Dimension w ktoryms Hugim [jeden z
najnowszych]). Odwiedz tez http://www.magic-software.com i tam zobacz.
Przeczytaj więcej wypowiedzi z wątku



Temat: No to sie pouczmy :)
ja to robie tak:
rysuje z shiftem pozioma linie od brzegu krzywo zeskanowanego obrazka
uzywając narzedzia linijka (measure tool)
wsiskam alt , kursor zmienia sie w taki katomierz czy cos
klikam na poczatku narysowanej wczesniej lini i rysuje linie w pionie
pokrywajaca sie z brzegiem krzywego skanu
nastepnie wystarczy wejsc w menu image/rotate canvas/arbitrary i w oknie
dialogowym gdzie wpisuje sie kat obrotu, SAME POJAWIA SIE DANE o ile trzeba
obrocic obrazek

W sumie fajna rzecz
P.S.
sorry ze bez interpunkcji i takich tam, ale sie spiesze na imprezke

Przeczytaj więcej wypowiedzi z wątku



Temat: No to sie pouczmy :)


"Arulo" <ar@box43.gnet.plwrote in message



ja to robie tak:
rysuje z shiftem pozioma linie od brzegu krzywo zeskanowanego obrazka
uzywając narzedzia linijka (measure tool)
wsiskam alt , kursor zmienia sie w taki katomierz czy cos
klikam na poczatku narysowanej wczesniej lini i rysuje linie w pionie
pokrywajaca sie z brzegiem krzywego skanu
nastepnie wystarczy wejsc w menu image/rotate canvas/arbitrary i w oknie
dialogowym gdzie wpisuje sie kat obrotu, SAME POJAWIA SIE DANE o ile
trzeba
obrocic obrazek

W sumie fajna rzecz
P.S.
sorry ze bez interpunkcji i takich tam, ale sie spiesze na imprezke

--
Arulo


Prawie o to chodziło, tyle że można prościej :)

[i] potem dwa razy shift [i] i jesteśmy na linijce. [Measure Tool]
rysujemy prostą wzdłuż dowolnego obiektu na ilustracji, który ma być
poziomy.
potem Alt+I,E,A i jesteśmy w image/rotate canvas/arbitrary i nacikamy
[ENTER]

ps. Pomysł z *No to się pouczmy* -- rewelacja(!), przyznam że ostatonio już
mnie tak nudziła ta lista :)))

Przeczytaj więcej wypowiedzi z wątku



Temat: Do potestowania

|  Działa tylko z ramkami tekstowymi

HenJ, jesteś może w stanie napisać skrypcik,
który po zaznaczeniu paru ramek tekstowych
o różnych wymiarach, pozwoli na ustawienie
im identycznego rozmiaru, lub też obrotu
(ale względem ich własnych osi symetrii)?


prosze bardzo ;)

{
var myDoc = app.activeDocument;
var myWidth = 30; // szerokosc
var myHeight = 10 ; // wysokosc
var myAngle = 45; // kat obrotu
for ( myCounter = 0 ; myCounter < myDoc.textFrames.length; myCounter++)
{

myGeomBounds = myDoc.textFrames.item(myCounter).geometricBounds;

myDoc.textFrames.item(myCounter).geometricBounds =
   [myGeomBounds[0], myGeomBounds[1],
    myGeomBounds[0]+myWidth, myGeomBounds[1]+myHeight];

myDoc.textFrames.item(myCounter).rotationAngle = myAngle;

}
}


Ty juz wiesz co z tym zrobic ;)
info dla innych - trzeba te pare linijek wkleic do nowego pliku textowego i
zapisac ten plik w:
C:Program FilesAdobeInDesign CSPresetsScripts
plik musi miec rozszezenie ".JS"

powienien bezbolesnie dzialac w CS2 ;)

robin

Przeczytaj więcej wypowiedzi z wątku



Temat: Do potestowania

{
var myDoc = app.activeDocument;
var myWidth = 30; // szerokosc
var myHeight = 10 ; // wysokosc
var myAngle = 45; // kat obrotu
for ( myCounter = 0 ; myCounter < myDoc.textFrames.length; myCounter++)
{

myGeomBounds = myDoc.textFrames.item(myCounter).geometricBounds;

myDoc.textFrames.item(myCounter).geometricBounds =
   [myGeomBounds[0], myGeomBounds[1],
    myGeomBounds[0]+myWidth, myGeomBounds[1]+myHeight];

myDoc.textFrames.item(myCounter).rotationAngle = myAngle;

}
}

mala pomylka :(

   [myGeomBounds[0], myGeomBounds[1],
    myGeomBounds[0]+myWidth, myGeomBounds[1]+myHeight];


powinno byc

    [myGeomBounds[0], myGeomBounds[1],
     myGeomBounds[0]+myHeight, myGeomBounds[1]+myWidth];

robin

Przeczytaj więcej wypowiedzi z wątku



Temat: Znawcy terminologii pilnie poszukiwani

20 Jul 2005 12:30:19 +0200, na pl.comp.dtp, grizzly napisał(a):

| 13. shingling - wiem co to znaczy po angielsku, ale nigdzie nie
|     znalazłem polskiego odpowiednika

Przy oprawie zeszytowej zeby uniknac sciecia obrazu na krawedzi  lewego
grzbietu stosuje sie przesuwanie obrazu strony do srodka (grzbietu). Czyli
strony kolejno sa pomniejszane w parach az do rozkladowki (wartosc
najwieksza przesuniecia). Mozna rozsuwac inaczej, rozsuwajac od grzbietu.
Czyli pierwsze maksymalnie rozsuniete a rozkladowka bez rozsuniecia - ta
metoda raczej nie stosowana no moze przy legach do oprawy twardej.

| 14. bottling - tego czegoś nie znalazłem nawet w angielskich słownikach
|     poligraficznych


To jest kompensacja skręcania sie stron powstajacej w procesie wielokrotnego
falcowania.
Typowy przyklad to mala ksiazeczka drukowana na cieniutkim papierze i
falcowana np. 6 krotnie.
Jak sie przytnie taki arkusz to strony beda skrecone czyli kolumna nie
bedzie rownolegla do grzbietu.
Znam tylko jeden program do montazu ktory ma bottling (SignaStation) i dzial
tylkona plikach PS lub PDF.
Procedura jest prosta, wskazuje sie naroznik i w stopniach kat obrotu.

Wojtek

Przeczytaj więcej wypowiedzi z wątku



Temat: Znawcy terminologii pilnie poszukiwani

Wojtek Bialkowski wrote:
| 14. bottling - tego czegoś nie znalazłem nawet w angielskich słownikach
|    poligraficznych

To jest kompensacja skręcania sie stron powstajacej w procesie wielokrotnego
falcowania.
Typowy przyklad to mala ksiazeczka drukowana na cieniutkim papierze i
falcowana np. 6 krotnie.
Jak sie przytnie taki arkusz to strony beda skrecone czyli kolumna nie
bedzie rownolegla do grzbietu.
Znam tylko jeden program do montazu ktory ma bottling (SignaStation) i dzial
tylkona plikach PS lub PDF.
Procedura jest prosta, wskazuje sie naroznik i w stopniach kat obrotu.


a moglbys podac mi na priv wzory na to ?? ;)
bo rozumiem, ze kazda strona na arkuszu bedzie troche inaczej obrocona ...

i tak planuje przebudowe skryptu ;)
a to by mi sie przydalo przy wiekszych ukladach ;)

robin

Przeczytaj więcej wypowiedzi z wątku



Temat: Corel 9 nadruk seryjny - pilne
Witam

Wszystko (prawie) da się zautomatyzować w Corelu!
Co do zaproszeń i ilości wierszy jest sprawa do załatwienia ale będzie z tym
trochę zabawy.
Musisz się zastanowić jak często takie zlecenia wykonujesz i czy pisanie
takiego skryptu poprostu się opłaca.
Możesz użyć wydruku seryjnego ale dzieląc go na kilka części, czyli raz dla
2 wierszy a drugi wydruk dla 3 wierszy.
Kiedyś pracowałem 2 lata przy zaproszeniach i wklepywałem nazwiska do Corela
bo i tak trzeba je wklepać i tak. Co innego jak mamy do ponumerowania 5000
biletów to automatyzacja jak najbardziej.

A może ktoś w Corelu ma probleby z zakreskowywaniem obiektów - napisałem
taki skrypt i chętnych zapraszam na priv ajacq@wp.pl
Skrypt kreskuje liniami, które mają parametry:
- rodzaj linii (ciągla, przerywana itd.)
- kąt obrotu
- odległość linii od siebie
- skalowanie lub nie z obiektem
no i dodatkowa opcja to wypełnienie obiektu siatką wg powyższych parametrów.

Automatyzacja polecień w CorelDRAW to szeroki temat ale niestety nikt się na
poważnie za to nie chce wziąć. Szukam osób chętnych do wspólnej nauki VBA
pod CorelDRAW 12. Przyznam, że pomimo napisania książki o automatyzacji
ciężko mi samemu rozwinąć wiedzę na temat VBA. Nie warto uczyć się VBA pod 9
bo jest za ubogie w funkcje, a 12 jest już rozbudowana i łatwiej się
odwołuje do obiektów.

Pozdrowienia
Andrzej Żak
www.corel-skrypty.webpark.pl
(kurcze dalej nie mam czasu poprawić tej ochydnej strony ale na jesień
znajdę więcej czasu)

Przeczytaj więcej wypowiedzi z wątku



Temat: male literki (cyferki) w polach corela 9pl


mam bardzo male cyferki w polu nr rozmiar, kąt obrotu ......
sa ona za male do odczytania

nie wiem co jest grane
moze jakiejsc czcionki mi brak?

Corel 9pl
przy instalacji nie dodawalem czcionek

pozdrawiam
Melon


sorki
kat obrotu jest dobrze
tylko rozmiar jest za maly (cyfry + mm)

Przeczytaj więcej wypowiedzi z wątku



Temat: male literki (cyferki) w polach corela 9pl


On Thu, 5 Sep 2002 16:00:25 +0200, "Melonpl" <me@hot.plwrote:


/.../


sorki
kat obrotu jest dobrze
tylko rozmiar jest za maly (cyfry + mm)


Prawdopodobnie wystrzelił w kosmos font systemowy - mssanserif chyba -
podmienić.

ALex

Przeczytaj więcej wypowiedzi z wątku



Temat: Indyk i laczenie obiektow ;)
witam

gdyby ktos walczyl z laczeniem obiektow - FILTRY  CIEŻEK - pierwsza ikona -
corelowskie SPAWAJ ;)

przy zaznaczonych kilku obiektach - obiekt lezacy "na gorze" - wyznacza kat
obrotu obiektu po spawaniu :)

w helpie o tym nie ma ani slowa ;)
sam doszedlem przed chwila metoda prob i bledow ;)

moze gdzies zbierzemy liste takich nieudokumentowanych informacji ?? ;)
moze na mojej stronce ?? ;)

robin

Przeczytaj więcej wypowiedzi z wątku



Temat: Tworzenie wzorów wypełnienia w Illustratorze

Red! napisał(a):


Po utworzeniu wzoru
(rysuję ukośną kreskę i przeciągam ją na paletę SWATCHES) i po zadaniu
wypełnienia obszaru, dany obszar wypełnia się ukośnymi kreskami... ale z
przerywami.

Czy ktoś może wie, jak utworzyć wzór aby zadany obszar był wypełniany ukośnymi
ciągłymi kreskami?


Sam wzorek z ukośnych kresek - nie wiem, jak, też mi wychodzą z
przerwami.
Ale możesz użyć wzorka z kresek pionowych lub poziomych, gdzie linie
są ciągłe, a następnie dwuklik na "Obrót" z palety narzędzi, w
opcjach odznaczyć "obiekty" i zaznaczyć "wzorki", wpisać kąt obrotu
- i wzorek z pionowych kresek zamienia się na ukośne :)
W różnych powiększeniach w takim wzorku też czasem widać przerwy,
a czasem nie, więc najlepiej wypróbuj, czy widać je na wydruku.

Pozdrawiam, Carrie

Przeczytaj więcej wypowiedzi z wątku



Temat: Obiekty rozmieszczone radialnie


Tylko, ze wtedy obiekt (np. prostokat) tez bedzie obracany a
nie przesuwany radialnie...


ale wystarczy dac kat obrotu 0 i bedzie ok... problem tylko w obliczeniu
(podzieleniu i losci obiektow przez 360) aby obiekty byly w rownych
odstepach

Przeczytaj więcej wypowiedzi z wątku



Temat: Obiekty rozmieszczone radialnie


On Mon, 10 Jun 2002 13:33:05 +0200, "Che" <baby@life.plwrote:
ale wystarczy dac kat obrotu 0 i bedzie ok... problem tylko w obliczeniu
(podzieleniu i losci obiektow przez 360) aby obiekty byly w rownych
odstepach


A od czego kalkulator ? :)

pozdr
Jarek

Przeczytaj więcej wypowiedzi z wątku



Temat: pytanie lamerskie, ale prosze o pomoc


czy ktoś mogłyby mi powiedzieć jak w quarku 3.32
odwrócić stronę do góry nogami
nie chodzi mi o jakieś drukowanie do góry
nogami, ale o trwałe przekręcenie strony
żeby była odrwócona.


Samej strony jako takiej obrocic sie nie da. Mozesz za to, i chyba o to Ci
chodzi, obrocic zawartosc.
Narysuj prostokat bez obrysu, bez wypelnienia o wymiarach strony, wepchnij
go na sam spod.
Zaznacz wszystkie elementy na stronie razem z prostokatem i zgrupuj. Zadaj
kat obrotu o 180 stopni.

Mam nadzieje, że o to chodzi.

Pozdrowienia.
Jacek Kauch

Przeczytaj więcej wypowiedzi z wątku



Temat: HELP!!! Jak to zrobić w illustratorze?!!!! ktokolwiek wie, ktokolwiek widział!!
Błagam to jest bardzo dla mnie ważne, czy to się wogóle da zrobić automatycznie?
może w innym sofcie ?

Mój problem przedstawia się w około 1000 ala'prostokątnych brył geometrycznych
zrobionych w illustratorze. część była wykonana narzędziem prostokąt, część
krzywymi beziera. część jest obrócona na wszystkie strony swiata. znajdują się
na jednej warstwie. teraz chodzi o to, żeby wszystkie je przekształcić na
kwadraty o konkretnych, identycznych wymiarach, ale zachowując, przynajmniej
podobny, kąt obrotu. przekształcenie z krzywych na obiekty tu mi nie działa, bo
prostuje kwadraty. No i jeszcze żeby ta funkcja mi się nie wyłożyła wskutek
ilości do przerobienia.
i apropos - jak obejść to w pathfinder,- że notorycznie krzyczy mi że ma za
dużo elementów do przerobienia.
dysponuje illustratorem10, corelem9, ewentualnie mogę zainstalować freehand
dzięki i pozdrawiam
kb

Przeczytaj więcej wypowiedzi z wątku



Temat: pomoc z illustratora
Witam
Mój problem przedstawia się w około 1000 ala'prostokątnych brył geometrycznych
zrobionych w illustratorze. część była wykonana narzędziem prostokąt, część
krzywymi beziera. część jest obrócona na wszystkie strony swiata. znajdują się
na jednej warstwie. teraz chodzi o to, żeby wszystkie je przekształcić na
kwadraty o konkretnych, identycznych wymiarach, ale zachowując, przynajmniej
podobny, kąt obrotu. przekształcenie z krzywych na obiekty tu mi nie działa, bo
prostuje kwadraty. No i jeszcze żeby ta funkcja mi się nie wyłożyła wskutek
ilości do przerobienia.
i apropos - jak obejść to w pathfinder,- że notorycznie krzyczy mi że ma za
dużo elementów do przerobienia.
dysponuje illustratorem10
dzięki i pozdrawiam
kb
Przeczytaj więcej wypowiedzi z wątku



Temat: Formaty danych ArcInfo


Artur Krawczyk wrote:
Ale jak przepchać tiffy zorientowane przestrzennie w Arc info do descartesa?
W arc info współrzędne orientujące raster są zapisane w dodatkowym pliku (o
tej samej nazwie co plik rastra ).
Czy jest jaki  sposób importu? czy trzeba je wpasowywać od nowa?


Co to znaczy przepchać tiffy zorientowane przestrzennie? Albo program
czyta GeoTiff, albo nie (np. ArcView czyta choć ignoruje kąt obrotu).
Struktura World file'a dla GeoTiff'a (zdaje się jest w. 1.0) jest
niezmienna więc nie ma problemu z nowym wpasowywaniem je li taki plik
już jest - może kto  mnie poprawi.

pozdrawiam
--- Marcin Bajorski -----------------------------------------
--- Instytut Systemów Przestrzennych i Katastralnych S.A. ---
--- mailto:mbajor@ispik.pl ------------- ICQ# 37336368 ---

Przeczytaj więcej wypowiedzi z wątku



Temat: Microstation i geotiff
Michal Baranski napisał(a):


Obawiam się, że chodzi tutaj o coś innego. O macierz obrotu, a Microstation do v.8 ma problem z rastrem
obróconym. Chodzi o kąty inne niż wielokrotność 90. Dopiero w wersji v.8 dobrze to robi.


To raczej nie to - tify są zrektyfikowane (spozycjonowane), kąt obrotu
wynosi 0.


Kiedyś był na serwerze Intergraph-a programik do konwersji tfw+tif -cit i problem znika.


Niestety nie mogę namierzyć. Pobrałem za to tfw2tif.exe ale woła o
bibliotekę i9cflc01.dll

Przeczytaj więcej wypowiedzi z wątku



Temat: Microstation i geotiff


| OK, mam ale... chyba nic z tego nie wyjdzie - owszem rastry sie
| otwierają ale w zafałszowanych współrzędnych (przesunięcie o kilka
| miejsc po przecinku), a gdy "skoryguje" sie to przez ustawienia
| jednostek to nie trzymają skali :-(

| Może jest inna droga przeniesienia referencji rastrów z *.tfw (ESRI) do
| Microstation?


Aby raster otworzyć w starym formacie MStation trzeba być pewnym:
1) obszaru roboczego
    tzn. współrzędne rastra muszą mieścić się w obszarze roboczym pliku dgn.
   w tym wypadku trzeba najpierw przygotować nowego dgna a potem podłączać
tiffa a nie odwrotnie.

2) kątu obrotu pliku dgn.
    plik dgn powinien mieć kąt obrotu równy 0.
    Stosowanie rastrów obracalnych umożliwia nam ImageManager ale tylko w
formacie hmr.

Pozdrawiam,
Artur K.

Przeczytaj więcej wypowiedzi z wątku



Temat: Layout - druk skalibrowanego rastra (2)
Kwasek zagościł(a) na pl.comp.gis i napisał(a):


Uzupełnienie do poprzedniej wiadomości:
Chodzi o program ArcView 3.1


A, to zmienia postać rzeczy ;)

Spróbuj użyć tego rozszerzenia:
http://arcscripts.esri.com/details.asp?dbid=11358
Pozwala ono na zdefiniowanie kąta obrotu ramki danych (ViewFrame) na
podglądzie wydruku (Layout).

Przeczytaj więcej wypowiedzi z wątku



Temat: Layout - druk skalibrowanego rastra (2)
Mmm, dzięki...
jednakże...

Trafiłem już wcześnej na podobny skrypt,
ale tak samo jak i ten nie radzi sobie z obrotem samego rasta (z obrotem
  widoku rasta).
Obraca tylko warstwy wektorowe, co w zestawienu daje efekt może i
ciekawy lecz nie satysfakcjonujący.

Pozdrawiam
Kwasek

Krzychu Lemanczyk wrote:

Spróbuj użyć tego rozszerzenia:
http://arcscripts.esri.com/details.asp?dbid=11358
Pozwala ono na zdefiniowanie kąta obrotu ramki danych (ViewFrame) na
podglądzie wydruku (Layout).


Przeczytaj więcej wypowiedzi z wątku



Temat: Rastry obrócone
Zacząłem się zajmować problemem wymiany rastrów skalibrowanych, przekazując
dane georeferencyjne przy użyciu plików TFW. Jednym z parametrów w pliku
kalibracji jest kąt obrotu - ale wszystkie pliki przykładowe jakie znalazłem
maja kąt = 0. Zastanawia mnie jak programy GIS radzą sobie z importem
rastrów o kącie obrotu <0. API Windows nie dostarcza funkcji wyświetlania
obróconych rastrów, widzę 3 sposoby radzenia sobie z taka sytuacją:

1. Obrócenie na stałe rastra (lub jego kopii) - czynność jednorazowa, choć
długotrwała
2. Obrócenie układu współrzędnych ekranu tak, aby pasował do ratstra. Ale
przy wiekszych kątach to może wyglądać dziwnie, no i co zrobić jak są 2
rastry?
3. Zastosowanie własnych, superszybkich procedur wyświetlania obróconych
rastrów.

Czy ktoś się orientuje, którą strategię używają w praktyce używane przez Was
programy? Ja się skłaniam do pierwszej...

P.S. Może ktoś zna miejsce, gdzie znajdę przykład rastra z tfw z niezerowym
katem obrotu?

Przeczytaj więcej wypowiedzi z wątku



Temat: macierz transformacji MicroStation
Witam
Szukam sposobu na "wydłubanie" kąta obrotu (i być może skalę) celki MS z jej
macierzy transformacji. Może ktoś z szanownych grupowiczów miał podobny
problem i zna rozwiązanie...
DGN-ami zajmuję się od niedawna i ta macirz transformacji to dla mnie czarna
magia:)
pozdrawiam i dziękuję.
Przeczytaj więcej wypowiedzi z wątku



Temat: macierz transformacji MicroStation


Alex wrote:
Witam
Szukam sposobu na "wydłubanie" kąta obrotu (i być może skalę) celki MS z jej
macierzy transformacji. Może ktoś z szanownych grupowiczów miał podobny
problem i zna rozwiązanie...
DGN-ami zajmuję się od niedawna i ta macirz transformacji to dla mnie czarna
magia:)
pozdrawiam i dziękuję.


Trochę nie ta grupa.
Do "dłubania" może służyć dłuto lub inne narzędzie.
Analizujesz plik binarnie czy z poziomu Microstation z Basic, może MDL-a.
Jeśli z poziomu Basic lub MDL-a to są odpowiednie funkcje, potrzeba jeszcze
trochę znajomości matematyki i tyle.

Przeczytaj więcej wypowiedzi z wątku



Temat: macierz transformacji MicroStation
Przetwarzam pliki binarnie i nie wiem w jaki sposób uzyskać z macierzy
transformacji celki jej kąt obrotu. W mdl-u bym sobie poradził...matematykę
trochę znam...:)

pozdrawiam.


Trochę nie ta grupa.
Do "dłubania" może służyć dłuto lub inne narzędzie.
Analizujesz plik binarnie czy z poziomu Microstation z Basic, może MDL-a.
Jeśli z poziomu Basic lub MDL-a to są odpowiednie funkcje, potrzeba
jeszcze
trochę znajomości matematyki i tyle.

--
Michal Baranski
mailto:micha@poczta.onet.pl
mailto:baran@cad.pl
mailto:mbaran@op.pl
http://www.baranski.cad.pl/


Przeczytaj więcej wypowiedzi z wątku



Temat: macierz transformacji MicroStation
W MS Basic masz taką właściwość (metodę) obiektu zwracającą macierz obrotu

stat = MbeElement.getRotation(rotMatrix(0 to 2)(0 to 2) as Double) (read
only)

rotMatrix jest tablicą [3x3], więc możesz z niej odczytać kąt obrotu itd.

Do "grzebania" we własciwościach obiektu przyda się jeszcze metoda
MbeElement.rotate

Sprawdź w helpie

Przeczytaj więcej wypowiedzi z wątku



Temat: JTZ w Av 3,1
Cześć

Niestety tak właśnie jest, grafika jest zapisywana w pliku projektu, można
ją jedynie skojarzyć logicznie z jakąś warstwą.
Jak sobie z tym poradzić, osobiście znam dwa sposoby i żaden nie jest
prosty.
1. Tworzysz dodatkowe skrypty do obsługi gafiki, a w tabeli dbf
przechowujesz dane potrzebne do odtworzenia grafiki : punkt wstawienia, kat
obrotu, wysokosc, tekst itd. wada tego jest taka, że grafika jest generalnie
dla AV "ciężko strawna" gdy jest jej dużo wszystko zaczyna się ślimaczyć
2. Nie korzystasz z grafiki, tylko używasz annotation z formatu dxf i
CADReadera, działa znacznie wydajniej.

Ja preferuję drugi sposób

Pozdrawiam

TOM


"Artur" <forest@poczta.onet.plwrote in message



Witam
Czy możecie pomóc rozwiązać pewien problem:
w widoku wprowadziłwm tekst opisujący pewne elementy warstwy, za pomocą
polecenia Dołącz grafiki dołączyłem ten tekst do warstwy np.opisy
po skopiowaniu tej warstwy (opisy) do innego projektu nie widzę tekstu
Jak temu zaradzić
Pozdrawiam
Artur


Przeczytaj więcej wypowiedzi z wątku



Temat: jak przypisac skrypt do obiektu aby w kazdej klatce kat obrotu obiektu byl losowany
zrobilem to tak ze w tracku przypisalem do controlera rotation script:

random 1 180 ktory mi losuje ladnie od 1 do 180 ale tylko raz jak to zrobic
aby w kazdej klatce bylo inaczej on poprostu oblicza to i wpisuje wynik

jak ktos ma jaks pomysl to prosze o podpowiedz

das

Przeczytaj więcej wypowiedzi z wątku



Temat: jak przypisac skrypt do obiektu aby w kazdej klatce kat obrotu obiektu byl losowany


Baggins wrote:
| pionowe zaluzje kazda ma byc inaczej obrócona taki chaos a nie ladnie
| poukladane (jak kazdy by chcial, zaluzji jest ok 1280)

a zajrzyj na ScriptSpot czy nie ma tam jakiegos randomizera prostego.
A jak nie znajdziesz ( ale prawie na pewno jest ) to gdzies tu ta liste
czytuje Piotrek Marczak - on ci to w dwoch linijkach skryptu zmiesci.
Moze sie odezwie. Piotreek - ratuj czlowieka :-)))

pzdr
tomek


:)))

rozumiem ze ten obrot nie ma byc animowany.
zaznacz obiekty ktore maja miec losowy obrot i uruchom ten skrypt:

for j=1 to selection.count do
(
        i = random 0.0 180.0
        rotate selection[j] (angleaxis i [1,0,0])
)

oczywiscie obrot jest dokonywany wokol pivota.

i = random 0.0 180.0    -- tutaj wybierasz kat obrotu (ja dalem 0.0 - 180.0)

rotate selection[j] (angleaxis i [1,0,0]) --a tutaj obrot wokol jakiej
osi 1,0,0 - to os x, 0,1,0 - os y, 0,0,1 - os z

pozdro

Przeczytaj więcej wypowiedzi z wątku



Temat: jak przypisac skrypt do obiektu aby w kazdej klatce kat obrotu obiektu byl losowany

piotrek marczak wrote:


[ciach] :)

uh... a jednak ma byc animowany :)))

for j=1 to selection.count do
(
        i = random 0.0 180.0
        addNewKey selection[j].rotation.controller 0f
        selection[j].rotation.controller.keys[1].value.axis = [0,1,0]
        selection[j].rotation.controller.keys[1].value.angle = 0
        addNewKey selection[j].rotation.controller 24f
        selection[j].rotation.controller.keys[2].value.axis = [0,1,0]
        selection[j].rotation.controller.keys[2].value.angle = i
)

w tym skrypcie obiekt bedzie sie obracal od klatki 0 do 24, od kata
obrotu = 0 do i, wokol osi [0,1,0] czyli y

pozdr

Przeczytaj więcej wypowiedzi z wątku



Temat: MAX klamie...

Hej - ostatnio zdarzylo mi sie to samo - tez pod win98 - dotychczas max
wyswetlal ok przewidywany czas renderingu (w kazdym razie po wyliczeniu
kilku pierwszych klatek animacji wartosci byly juz w miare sensowne) - ale
nagle przestal - i nie wyswietlal nic...
przeinstalowanie maxa nie pomoglo - dopiero reinstalacja systemu...
co gorsza podobny problem mam pod w98 z obracaniem obiektow - obrot w oknie
nagle przestal dzialac i nawet reinstalacja systemu nic nie daje (dziala
jedynie w okienku po podaniu okreslonego kata obrotu)?!?
(zreszta przesiadka na nt to chyba najlepsze wyjscie - mam zainstalowane
jednoczesnie win2k i tam nie ma najmniejszych problemow...)

Pozdrawiam

Lucass

Użytkownik Wojciech Pazdur <nalj@zeus.polsl.gliwice.plw wiadomości do
grup dyskusyjnych napisał:3AE34C0F.9704@zeus.polsl.gliwice.pl...

Adek napisał(a):

| może zamienić win98 na NT ?

I tak wlasnie zrobie.
Chociaz nie tylko z powodu licznika klatek :)


Przeczytaj więcej wypowiedzi z wątku



Temat: MAX klamie...


co gorsza podobny problem mam pod w98 z obracaniem obiektow - obrot w
oknie
nagle przestal dzialac i nawet reinstalacja systemu nic nie daje (dziala
jedynie w okienku po podaniu okreslonego kata obrotu)?!?


A nie zmieniłeś sobie przypadkiem w systemie separatora liczb dziesiętnych z
"," na "."
Po ponownej zamianie znowu działa.

Wilku

Przeczytaj więcej wypowiedzi z wątku



Temat: 3d studio i symetrie
Witam
Jestem tutaj pierwszy raz i mam pytanko.
Jak w 3D studio wykonać obrót czworościanu  foremnego wokół jednej (dowolnej
krawędzi), o dowolny kąt. Obroty można wykonywać, ale tylko wokół osi XY,
lub Z (które są do siebie prostopadłe). Równie dobrze może być to odbicie
symetryczne (klonowanie) czworościanu względem jednej ze  scian (dowolnej).
 Dziękuję ze pomoc.
Piotrek S.
Przeczytaj więcej wypowiedzi z wątku



Temat: 3d studio i symetrie
zagladnij do HELP'a na PIVOT


Jak w 3D studio wykonać obrót czworościanu  foremnego wokół jednej
(dowolnej
krawędzi), o dowolny kąt. Obroty można wykonywać, ale tylko wokół osi XY,
lub Z (które są do siebie prostopadłe). Równie dobrze może być to odbicie
symetryczne (klonowanie) czworościanu względem jednej ze  scian
(dowolnej).
 Dziękuję ze pomoc.
Piotrek S.


Przeczytaj więcej wypowiedzi z wątku



Temat: Rotacja tekstury


Czy ktos obeznany w temacie moglby wyjasnic / podac przyklad rotacji
tekstury korzystajac z OpenGL?

Mam sobie obracajacy sie szescian i chcialbym zeby na wybranych bokach
obracala sie tekstura.

Bardzo bede wdzieczny za objasnienie ew. kawalek przykladowego kodu.


No to kiepsko szukales...

A rozwiazanie jest proste... wpisujesz koordynatyUV do vertexow... ktore
wynikaja
z obrotu wokol centrum tekstury lub jej fragmentu.... 4-ech punktow
wzorek na koordynaty dla przypadku jedna sciana-jedna tekstura

x(k)=0.5f+sin(alfa)
y(k)=0.5f+cos(alfa)

gdzie alfa=k*45.0f+beta
beta to kat obrotu tekstury, a k=0,1,2,3 dla kolejnych 4-ech punktow UV
"krazacych" po teksturze

Przeczytaj więcej wypowiedzi z wątku



Temat: Jak zrobic okrag z kolek - Lama

pop wrote:
Potrzebuje zrobic kolka, najlepiej jak daloby sie w photoshopie 8.0 cs.
 Chodzi mi o okrag z kolek. Dokładnie to tak jakby z malych jednakowych
koleczek
zrobic okrag. Koleczka bez wypelnienia, lub biale wypelnienie i tylko czarny
obwod tych kolek.
Bede wdzieczny za pomoc.


...każdy kombinuje, to ja też podam sposób ciekawy:
- narysuj wektorowe(!) kółeczko (ewentualnie utwórz normalne, pikselowe
na oddzielnej warstwie).
- [opcjnalnie]ustaw prowadnice (pionową i poziomą) tak, by się
przecinały w miejscu środka zamierzonego
- wciśnij ctrl+alt+t, przesuń środek obrotu tam, gdzie być powinien (np.
w miejscu przecięcia ustawionych poprzednio prowadnic)
- wpisz w okienku kąt obrotu (360/ilość kółeczek) i zatwierdź enterem.
- zatwierdź jeszcze raz enterem, tym razem całą transformację
- wciśnij ctrl+alt+shift+t tyle razy, ile ma być kółeczek.
- w zależności pierwszego kroku (czy wektor, czy warstwa) - albo
rasteryzuj warstwę, albo spłaszcz wszystkie utworzone.

(wygląda może i na spkomplikowany sposób, ale jest banalny w wykonaniu:)

Przeczytaj więcej wypowiedzi z wątku



Temat: Okropnie trudna rzecz

Użytkownik "Lecter" <eko@wp.plnapisał w wiadomo ci


Włączam Corela8, rysuję łuk.
Teraz rysuję kreskę.
Kreskę duplikuję kilka razy.
Teraz chcę aby moje kreseczki ustawiły się w równych od siebie
odległościach,
w dodatku prostopadle do linii mojego łuku. Taki jakby grzebień by
powstał.

Ale nie powstanie, bo ja nie umiem tego zrobić.

Z wyrazami zakłopotania

HL


Mam  Karola dziewiątego, ale nie sądzę, by co  się zmieniło.
Najpierw rysuję jedną kreskę (kąt obrotu 0°).
Teraz Ctrl+D i powielam kreskę przesuniętą o x (ustawić w Narzędzia Opcje
Edycja Umieszczanie kopii).
Rysujemy łuk (kąt obrotu 0°, kąt początkowy 0°, kąt końcowy 180°) i gotowe.

staszek

Przeczytaj więcej wypowiedzi z wątku



Temat: Okropnie trudna rzecz


Mam  Karola dziewiątego, ale nie sądzę, by co  się zmieniło.
Najpierw rysuję jedną kreskę (kąt obrotu 0°).
Teraz Ctrl+D i powielam kreskę przesuniętą o x (ustawić w Narzędzia Opcje
Edycja Umieszczanie kopii).
Rysujemy łuk (kąt obrotu 0°, kąt początkowy 0°, kąt końcowy 180°) i
gotowe.

staszek


Tak ale mi chodzi o to, żeby te kreseczki przefrunęły do łuku i ustawiły sie
na nim automatycznie, jak w grzebieniu własnie. Nie będę tego robił
odręcznie i już.
Bo muszę tych grzebyków różnych zrobić kilkaset sztuk. To taki symbol
ukształtowania terenu na mapie topograficznej.

HL

Przeczytaj więcej wypowiedzi z wątku



Temat: Corel - automatyczne rozmieszczanie obiektow
Bartłomiej Kasiewicz pisze:


Witam Grupe!
Szukam narzedzia w Corelu, ktore pomoglobymi rozmiescic kilkadziesiat
obiektow (kolek) na obwodzie wiekszego kola z zadanymi odleglosciami
(odleglosci moga byc katowe albo liniowe - wszystko jedno). Czy w ogole
w corelu cos takiego istnieje a jezeli tak to jak sie nazywa?


Jeśli to mają być kopie jednego kółka, to może pomóc
paleta "transformacja" - ustawiamy jedno kółeczko na krawedzi wielkiego
koła, środek jego obrotu na środek wielkiego koła, żądany kąt obrotu,
i klikamy potrzebną liczbę razy na "zastosuj do kopii".

Jeśli trzeba coś takiego wykonywać częściej, to zawsze można
napisać skrypt.

Przeczytaj więcej wypowiedzi z wątku



Temat: Corel - automatyczne rozmieszczanie obiektow
Piotr Chamera pisze:


Bartłomiej Kasiewicz pisze:
| Witam Grupe!
| Szukam narzedzia w Corelu, ktore pomoglobymi rozmiescic kilkadziesiat
| obiektow (kolek) na obwodzie wiekszego kola z zadanymi odleglosciami
| (odleglosci moga byc katowe albo liniowe - wszystko jedno). Czy w
| ogole w corelu cos takiego istnieje a jezeli tak to jak sie nazywa?

Jeśli to mają być kopie jednego kółka, to może pomóc
paleta "transformacja" - ustawiamy jedno kółeczko na krawedzi wielkiego
koła, środek jego obrotu na środek wielkiego koła, żądany kąt obrotu,
i klikamy potrzebną liczbę razy na "zastosuj do kopii".

Jeśli trzeba coś takiego wykonywać częściej, to zawsze można
napisać skrypt.


O cos takiego wlasnie chodzilo. Dzieki!
pozdrawiam,
BK

Przeczytaj więcej wypowiedzi z wątku



Temat: Czy sie da w Corel Photopaint...


pewnie - jesli wybierzesz opcje "rotate" powinny sie pojawic dodatkowe
funkcje tego narzedzia - i tu przydaje sie dokladne podanie kata obrotu


photopaint 8  -- ctrl+F8 chyba (skrot do opcji obiektu - rotacja
dokladnie)
photopaint 11 --Object Pick Tool -Rotate Mode -Open Advanced Options

Przeczytaj więcej wypowiedzi z wątku



Temat: Czy sie da w Corel Photopaint...


Czy da sie
to samo zrobic podczas rotacji obiektu ? (strzalki nie dzialaja a
myszka trzeba sie strasznie nameczyc...)


pewnie - jesli wybierzesz opcje "rotate" powinny sie pojawic dodatkowe
funkcje tego narzedzia - i tu przydaje sie dokladne podanie kata obrotu

Przeczytaj więcej wypowiedzi z wątku



Temat: HELP!!! Jak to zrobić w illustratorze?!!!!
in article 1544.00000132.41418@newsgate.onet.pl, karol at
karl1WYTNI@interia.pl wrote on 9/10/04 13:03:


Witam
Mój problem przedstawia się w około 1000 ala'prostokątnych brył geometrycznych
zrobionych w illustratorze. część była wykonana narzędziem prostokąt, część
krzywymi beziera. część jest obrócona na wszystkie strony swiata. znajdują się
na jednej warstwie. teraz chodzi o to, żeby wszystkie je przekształcić na
kwadraty o konkretnych, identycznych wymiarach, ale zachowując, przynajmniej
podobny, kąt obrotu. przekształcenie z krzywych na obiekty tu mi nie działa,
bo
prostuje kwadraty. No i jeszcze żeby ta funkcja mi się nie wyłożyła wskutek
ilości do przerobienia.
i apropos - jak obejść to w pathfinder,- że notorycznie krzyczy mi że ma za
dużo elementów do przerobienia.
dysponuje illustratorem10
dzięki i pozdrawiam
kb


Jak dla mnie to recznie trzeba zrobic... (nie zazdroszcze) :)

pozdrawiam
DS

Przeczytaj więcej wypowiedzi z wątku



Temat: "obracanie" obrazka - czy nieuchronna jest utrata jakosci?
[...]


Ta funkcja - miarka - dostepna była z palety głównej narzędzi
photoshopa, i była dostepna w starszych wersjach programu, więc pewnie z
jakąś 5 lub 6 bedziesz miał mniejszy problem niz ze zdobyciem CSa
(szkoda że wyrzucili z nowszych wersji)


Co Ty za bzdury opowiadasz? Pracowales w ogole w jakiejs nowszej wersji? Przeciez miarka istnieje, tak jak istniala, a po wykresleniu automatycznie wartosc kata obrotu pojawia sie w okienku rotate/arbitrary

Przeczytaj więcej wypowiedzi z wątku



Temat: "obracanie" obrazka - czy nieuchronna jest utrata jakosci?
marcin.STIG.saldat napisał(a):

[...]
| Ta funkcja - miarka - dostepna była z palety głównej narzędzi
| photoshopa, i była dostepna w starszych wersjach programu, więc pewnie z
| jakąś 5 lub 6 bedziesz miał mniejszy problem niz ze zdobyciem CSa
| (szkoda że wyrzucili z nowszych wersji)

Co Ty za bzdury opowiadasz? Pracowales w ogole w jakiejs nowszej wersji? Przeciez miarka istnieje, tak jak istniala, a po wykresleniu automatycznie wartosc kata obrotu pojawia sie w okienku rotate/arbitrary


Dobrze, że to tylko dyskusja w necie, bo na żywo to bym pewnie już od
Ciebie oberwał.
Miarki faktycznie lata nie używałem, wystarczy mi obracana kadrownica, a
wydawało mi się że w jakimś opisie kiedyś czytałem, że usunęli.
Faktycznie sprawdziłem, w CS2 nadal miarka jest.

pozdrawiam
maciek
www.blog.mediafun.pl

Przeczytaj więcej wypowiedzi z wątku



Temat: gimp i obracanie warstwy
1. w narzędziówce gimpa wybierz narzędzie "obracanie, sklaowanie...itd"
2. zaznacz w opcjach narzędzia "obracanie"
3. kliknij na obrazek (z wybraną odpowiednią warstwą) i wpisz w okienko
"informacje o obrocie" dowolny kąt obrotu

pozdrawiam

Przeczytaj więcej wypowiedzi z wątku



Temat: gimp i obracanie warstwy
Dnia 06/19/2003 04:36 PM, Użytkownik Mateusz Konkel napisał:


1. w narzędziówce gimpa wybierz narzędzie "obracanie, sklaowanie...itd"
2. zaznacz w opcjach narzędzia "obracanie"
3. kliknij na obrazek (z wybraną odpowiednią warstwą) i wpisz w okienko
"informacje o obrocie" dowolny kąt obrotu


Rzeczywiście, działa. chyba muszę lepiej poznać przybornik narzędziowy
Gimpa. Dzięki

Przeczytaj więcej wypowiedzi z wątku



Temat: Corel, szyk kołowy

ALex /M.I.D. Dept./ <a@graf.torun.plwrote in message


On Wed, 08 Sep 1999 13:51:03 GMT, "Rygar" <ry@provider.plwrote:

| ej, może to głupio zabrzmi, ale nie mogę w Corelu za cholerę znaleźć
takiej
| śmiesznej opcji, ltórą możnaby kopiować obiekt ileśtam razy wokół punktu
(z
| obrotem albo bez)- tak jak mirror we Freehandzie. W innych programach
taka
| opcja jest na wierzchu, a w Corelu nie mogę się jej doszukać... (ver
9.0).
| Nie wierzę, żeby nie było... wie ktoś coś na ten temat???

Jeśli dobrze odczyrałem opis, to:
1. klikasz na zaznaczonym obiekcie. Wokoło pokażą się punkty służące
do deformacji i obrotu.
2. przeciągasz środkowy punkt w miejsce, wokół którego chcesz dokonać
obrotu
3. przesuwasz/obracasz obiekt trzymając prawy przynisk myszy -
uzyskasz obrócony duplikat
4. z klawiatury ctrl-r (powtarzasz operację).


lub

3. wywołujesz okienko 'transform/rotate', ustalasz kąt obrotu, zaznaczasz
'relative center'

4. naciskasz 'apply to duplicate' tyle razy, ile kopii chcesz uzyskać

Grzegorz

Przeczytaj więcej wypowiedzi z wątku



Temat: jak wyliczyć


laf wrote:
witam,

Mam pytanko czy ktoś się orientuje jak wyliczyć o ile obrócić (kąt od
0 360) zbiór punktów, obracając myszką po ekranie, tzn. coś takiego
jak w Corelu obracając myszką do okoła obracamy obiekt.

kan


Witam

Gdy user wciska przycisk myszki - kąt początkowy, gdy zwalnia - kąt końcowy
Kąt obrotu = kąt końcowy - kąt początkowy.

Aby obliczyć te dwa pierwsze kąty wystarczą po dwa punkty - środek obrotu
(X1,Y1) i położenie kursora (X2, Y2).
Jak "wirtualnie" pociągniesz poziomą linię przez środek i pionową przez
punkt kursora to powstanie trójkąt.
Kąt między poziomą a linią łączącą środek z kursorem - stanowi kąt
początkowy lub końcowy.

Przeczytaj więcej wypowiedzi z wątku



Temat: pytanie o sprawdzenie znakow w C++
Witam grupowiczow.
Mam taki problemik.Zczytuje dane z klawiatury,zapisuje je do zmiennej ktora
jest czescia struktury.Chcialbym aby nie mozna bylo wpisac z klawiatury
literylub jakiegos innego znaku (tylko same cyfry).Probowalem korzystac z
funkcji isdigit i isalpha ale chyba cos robie nie tak bo program przyjmuje
te dane.Wpisywanie z klawiatury odbywa sie w sposob nastepujacy,gdzie potem
powrownuje dana z ze zbiorem np.

cout<<"Podaj kat obrotu: ";
cin| polecenie.kat_obrotu;
if(polecenie.kat_obrotu <= 75 && polecenie.kat_obrotu =-75)
cout<<"    Wprowadz jeszcze raz kat obrotu z zakresu (-75,75)"

jesli natomiast do wiersza z ifem dodam funkcje isdigit to wtedy sie
kaszani.

if((polecenie.kat_obrotu <= 75 && polecenie.kat_obrotu


=-75)||(isdigit(polecenie.kat_obrotu)==1));


Prosze pomozcie,moze ma ktos przyklad jak eliminowac na wstepie czytania
strumienie z klawiatury litery.
Dzieki i Pzdr.

Bzaku

Przeczytaj więcej wypowiedzi z wątku



Temat: pytanie o sprawdzenie znakow w C++

Użytkownik Bzaku <bz@poczta.fmw wiadomości do grup dyskusyjnych
napisał:b1uol2$pl@korweta.task.gda.pl...


Witam grupowiczow.
Mam taki problemik.Zczytuje dane z klawiatury,zapisuje je do zmiennej
ktora
jest czescia struktury.Chcialbym aby nie mozna bylo wpisac z klawiatury
literylub jakiegos innego znaku (tylko same cyfry).Probowalem korzystac z
funkcji isdigit i isalpha ale chyba cos robie nie tak bo program przyjmuje
te dane.Wpisywanie z klawiatury odbywa sie w sposob nastepujacy,gdzie
potem
powrownuje dana z ze zbiorem np.

cout<<"Podaj kat obrotu: ";
cin| polecenie.kat_obrotu;
if(polecenie.kat_obrotu <= 75 && polecenie.kat_obrotu =-75)
cout<<"    Wprowadz jeszcze raz kat obrotu z zakresu (-75,75)"

jesli natomiast do wiersza z ifem dodam funkcje isdigit to wtedy sie
kaszani.

if((polecenie.kat_obrotu <= 75 && polecenie.kat_obrotu
| =-75)||(isdigit(polecenie.kat_obrotu)==1));

Prosze pomozcie,moze ma ktos przyklad jak eliminowac na wstepie czytania
strumienie z klawiatury litery.


Pobieraj znaki z klawiatury funkcją "getc".

Przeczytaj więcej wypowiedzi z wątku



Temat: OpenGL, ustawienie rotacji


feniks wrote:
Witam,
mam problem z rotacjami w openGL'u.

Mianowicie, za my e mam wektor 3d znormalizowany i punkt w przestrzeni.
Na ten punkt chcia bym skierowa cylinder a potem obr ci go w kierunku
danego wektora. Uzna em, e najpierw wyznacz odpowiednie k ty jakie tworzy
ten wektor z osiami wsp rz dnych, a potem wykonam odpowiednie rotacje.
Problem w tym, e cylinder wcale si nie ustawia tak jakbym tego chcia :(
Czy wymaga to bardziej z o onych obrot w, ewentualnie o inne k ty ?


Rozumiem, że zagadnienie, które cię interesuje, to obrót wokół wektora
o zadany kąt, tj. wyznaczenie macierzy dla takiego obrotu. Przeczytaj
o parametrach Euler'a tudzież o kwaternionach i jak przy ic użyciu
wyrazić obrót. w. wyszukaj gotowy przepis na macierz takiego obrotu.

Zerknij tutaj:

  http://audiophile.tam.cornell.edu/~als93/quaternion.pdf

Wzór (9) podaje przepis jak zbudować quaternion mając oś i kąt obrotu,
wzór (7) podaje przepis jak wygeneraować macierz obrotu mając
quaternion. Masz więc komplet informacji, powinno Ci to wystarczyćć do
implementacji obrotu

Przeczytaj więcej wypowiedzi z wątku



Temat: Pochyłe elipsy


Ale byłbym bardzo wdzięczny za wzory (mogą przydać się nie tylko do
rysowania).


Może taką procedurkę:

procedure PochylaElipsa(C:TCanvas;x,y,rx,ry,a:real);
const
  precyzja=120;
var
  i:integer;
  r,xx,yy,xxx,yyy : real;
begin
  for i:=0 to precyzja do
    begin
      r:=i*2*pi/precyzja;
      xx:=rx*cos(r);
      yy:=ry*sin(r);
      //obrót
      xxx:=xx*cos(a)-yy*sin(a)+x;
      yyy:=xx*sin(a)+yy*cos(a)+y;
      //rysowanie
      if i=0 then
        C.MoveTo(round(xxx),round(yyy))
      else
        C.LineTo(round(xxx),round(yyy));
    end;
end;

x,y to środek elipsy, rx,ry to półosie, natomiast a - kąt obrotu (w radianach).
Stała przecyzja oznacza w ilu krokach będzie narysowana elipsa. Im więcej - tym
dokładniej i wolniej.

Heniek :)

Przeczytaj więcej wypowiedzi z wątku



Temat: Pochyłe elipsy

Andrzej Borucki <boru@box43.plwrote in message



"Henryk Batko" <ba@kki.net.plwrote in message
| Jeśli szybkość rysowania nie jet wymagana, mogę poszukać wzorów na
pochyłą
| elipsę.

Miałem nadzieję, że można coś ustawić, podobnie jak dla pochyłych
tekstów...
Ale byłbym bardzo wdzięczny za wzory (mogą przydać się nie tylko do
rysowania).


Przeciez mozna sobie wyprowadzić te wzory. Złożenie wzoru na elipsę z
obrotem (określonym przez kąt obrotu i środek obrotu).

Przeczytaj więcej wypowiedzi z wątku



Temat: Pochyłe elipsy

"Piotr "Lodek" Hosowicz" <mcs@mcsoft.stopklatka.plwrote in message


Andrzej Borucki <boru@box43.plwrote in message
| "Henryk Batko" <ba@kki.net.plwrote in message
| | Jeśli szybkość rysowania nie jet wymagana, mogę poszukać wzorów na
pochyłą
| elipsę.

| Miałem nadzieję, że można coś ustawić, podobnie jak dla pochyłych
tekstów...
| Ale byłbym bardzo wdzięczny za wzory (mogą przydać się nie tylko do
| rysowania).

Przeciez mozna sobie wyprowadzić te wzory. Złożenie wzoru na elipsę z
obrotem (określonym przez kąt obrotu i środek obrotu).


Mozna tez wywazac otwarte drzwi, tylko po co? -|
spy

--
Pozdrawiam,
Piotr "Lodek" Hosowicz
Zlot Programistów Delphi 2000: http://www.delphi.pl/zlot2000/
Moje WWW: http://www.mcsoft.stopklatka.pl


Przeczytaj więcej wypowiedzi z wątku



Temat: Pionowy tekst na wydruku i w formularzu

Tomasz Kolenda napisał(a) w wiadomo ci:
<37C65288.D1335@wszmijo.edu.pl...

Piszę w miarę banalny program, ale stanąłem przed pewnym, dla mnie wcale
nie banalnym problemem.

Chodzi o wydrukowanie tekstu w pionie (a także pokazanie go w
formularzu).


Można też utworzyć font ( CreateFont - podajesz tam kąt obrotu ) przypisać
font do dowolnego canvasa np. do Priner.canvas i już możesz pisać pionowo
Canvas.TextOut.
pozdrawiam
Andrzej

Przeczytaj więcej wypowiedzi z wątku



Strona 1 z 4 • Wyszukano 290 wypowiedzi • 1, 2, 3, 4

comp
co to jest kąt nachylenia dachu co to jest Kodeks cywilny Co to jest las równikowy co to jest Kredyt kupiecki co to jest kręgosłup moralny co to jest jama Vergi co to jest myśleć strategicznie Co to jest maszyna JVM Co to jest Karta graficzna Co to jest manicure naturalny wypracowania z języka polskiego z romantyzmu
Zeta Tetra 1220x500

nokias 6265
Cytat

Długość życia ludzkiego - to punkcik, istota - płynna, spostrzeganie - niejasne, zespól całego ciała - to zgnilizna, dusza - wir, los - to zagadka, sława - rzecz niepewna. Marek Aurelisz
De mortuis nihil nisi bene - o zmarłych dobrze albo wcale (mówić). (mówić). (mówić)
Aby mieć właściwe spojrzenie na własną pozycję w życiu, człowiek powinien posiadać psa, który będzie go uwielbiał, i kota, który będzie go ignorował. Derek Bruce
Actor sequitur forum rei. - dla powoda właściwy jest sąd pozwanego
A capite - od początku; od głowy.

Valid HTML 4.01 Transitional

Free website template provided by freeweblooks.com